CREATE DATABASE  IF NOT EXISTS `sagacity` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `sagacity`;
-- MySQL dump 10.13  Distrib 5.6.17, for Win64 (x86_64)
--
-- Host: localhost    Database: sagacity
-- ------------------------------------------------------
-- Server version	5.6.21-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `help`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `help` (
  `section` varchar(10) NOT NULL,
  `topic` varchar(100) NOT NULL,
  `title` varchar(100) NOT NULL,
  `content` mediumtext,
  PRIMARY KEY (`section`),
  KEY `section_id` (`section`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `help`
--

REPLACE INTO `help` (`section`, `topic`, `title`, `content`) VALUES 
('0','TC','Table of Contents','<h2><img alt=\"Sagacity Logo\" src=\"/img/Sagacity-Logo.png\" style=\"width: 300px; height: 94px; float: right;\" />Sagacity User Guide</h2>\r\n\r\n<p><em>Last Updated: 4&nbsp;Jun&nbsp;17</em><br />\r\n<br />\r\nWelcome to Sagacity User Guide.&nbsp; This document provides a discussion of the assessment process and how to use the tool to support the process.&nbsp; It also includes instructions for some of the command line tools &ldquo;under the hood&rdquo; and a cheat sheet for common target and scanning commands used during the assessment.</p>\r\n\r\n<h3>Table of Contents</h3>\r\n<style type=\"text/css\">.toc_ol {\r\n  counter-reset: item;\r\n  padding-left: 10px;\r\n }\r\n .app_toc_ol {\r\n  padding-left: 10px;\r\n  list-style-type: upper-alpha;\r\n }\r\n .app_toc_li {\r\n  content: counters(item, \".\") \" - \";\r\n  counter-increment: item;\r\n }\r\n .toc_li:before {\r\n  content: counters(item, \".\") \" - \";\r\n  counter-increment: item;\r\n }\r\n .toc_li {display: block;}\r\n</style>\r\n<ol class=\"toc_ol\">\r\n	<li class=\"toc_li\"><a href=\"#1\">Introduction</a>\r\n	<ol class=\"toc_ol\">\r\n		<li class=\"toc_li\"><a href=\"#1.1\">Audience</a></li>\r\n		<li class=\"toc_li\"><a href=\"#1.2\">Availability</a></li>\r\n		<li class=\"toc_li\"><a href=\"#1.3\">No IA Functionality</a></li>\r\n	</ol>\r\n	</li>\r\n	<li class=\"toc_li\"><a href=\"#2\">Security and Risk Assessment Process</a>\r\n	<ol class=\"toc_ol\">\r\n		<li class=\"toc_li\"><a href=\"#2.1\">Security Assessment</a>\r\n		<ol class=\"toc_ol\">\r\n			<li class=\"toc_li\"><a href=\"#2.1.1\">Pre-assessment</a></li>\r\n			<li class=\"toc_li\"><a href=\"#2.1.2\">During assessment</a></li>\r\n			<li class=\"toc_li\"><a href=\"#2.1.3\">Post assessment</a></li>\r\n		</ol>\r\n		</li>\r\n		<li class=\"toc_li\"><a href=\"#2.2\">Risk Assessment</a></li>\r\n	</ol>\r\n	</li>\r\n	<li class=\"toc_li\"><a href=\"#3\">Usage Instructions</a>\r\n	<ol class=\"toc_ol\">\r\n		<li class=\"toc_li\"><a href=\"#3.1\">ST&amp;E Operations Tab</a>\r\n		<ol class=\"toc_ol\">\r\n			<li class=\"toc_li\"><a href=\"#3.1.1\">Categories</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.1.2\">Device/Category Table</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.1.3\">Hosts Page</a>\r\n			<ol class=\"toc_ol\">\r\n				<li class=\"toc_li\"><a href=\"#3.1.3.1\">Upload Host Data Files</a></li>\r\n			</ol>\r\n			</li>\r\n			<li class=\"toc_li\"><a href=\"#3.1.4\">eChecklist Export</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.1.5\">Tracking Assessment Tasks</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.1.6\">Category Controls</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.1.7\">Bulk Editing</a></li>\r\n		</ol>\r\n		</li>\r\n		<li class=\"toc_li\"><a href=\"#3.2\">Procedural Operations Tab</a></li>\r\n		<li class=\"toc_li\"><a href=\"#3.3\">Result Management Tab</a>\r\n		<ol class=\"toc_ol\">\r\n			<li class=\"toc_li\"><a href=\"#3.3.1\">Importing Results File</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.3.2\">Result File Details</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.3.3\">Deleting Results</a></li>\r\n		</ol>\r\n		</li>\r\n		<li class=\"toc_li\"><a href=\"#3.4\">Data Management Tab</a>\r\n		<ol class=\"toc_ol\">		\r\n				<li class=\"toc_li\"><a href=\"#3.4.1\">Mission System Creation / Modification</a></li>\r\n				<li class=\"toc_li\"><a href=\"#3.4.2\">Site Creation / Modification</a></li>\r\n				<li class=\"toc_li\"><a href=\"#3.4.3\">ST&amp;E Creation / Modification</a></li>\r\n<ol class=\"toc_ol\">\r\n				<li class=\"toc_li\"><a href=\"#3.4.3.1\">Compare ST&amp;Es</a></li>\r\n			</ol>\r\n			</li>\r\n			<li class=\"toc_li\"><a href=\"#3.4.4\">Catalog Managementh</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.4.5\">Settings</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.4.6\">Target Search</a></li>\r\n			<li class=\"toc_li\"><a href=\"#3.4.7\">Search</a></li>\r\n		</ol>\r\n		</li>\r\n		<li class=\"toc_li\"><a href=\"#3.5\">eChecklists</a></li>\r\n		<li class=\"toc_li\"><a href=\"#3.6\">eChecklist Data Analysis and Correlation</a></li>\r\n	</ol>\r\n	</li>\r\n	<li class=\"toc_li\"><a href=\"#4\">The Way Ahead</a></li>\r\n</ol>\r\n\r\n<ol class=\"app_toc_ol\">\r\n	<li class=\"app_toc_li\"><a href=\"#A\">Appendix A - Sagacity Directory Structure</a></li>\r\n	<li><a href=\"#B\">Appendix B - Command Line Reference</a>\r\n	<ol>\r\n		<li><a href=\"#B.1\">B.1 - Catalog Management Commands</a></li>\r\n		<li><a href=\"#B.2\">B.2 - Result File Ingestion Commands</a></li>\r\n		<li><a href=\"#B.3\">B.3 - Other Potentially Useful Commands</a></li>\r\n	</ol>\r\n	</li>\r\n	<li><a href=\"#C\">Appendix C - Assessment Cheat Sheet</a>\r\n	<ol>\r\n		<li><a href=\"#C.1\">C.1 - Unix Systems</a></li>\r\n		<li><a href=\"#C.2\">C.2 - Windows Systems</a></li>\r\n		<li><a href=\"#C.3\">C.3 - Network Devices</a></li>\r\n		<li><a href=\"#C.5\">C.4 - Nmap</a></li>\r\n	</ol>\r\n	</li>\r\n</ol>\r\n\r\n<hr />\r\n<p>&nbsp;</p>\r\n'),
('1','General','Introduction','<p><img alt=\"Sagacity Logo\" src=\"/img/Sagacity-Logo.png\" style=\"width: 300px; float: right; height: 94px;\" />The process of conducting a Security Assessment (a.k.a. Security Test and Evaluation &ndash; ST&amp;E, Security Control Assessment &ndash; SCA, Vulnerability Assessment, Compliance Audit, etc.) and producing accurate, consistent and repeatable Risk Assessment results is incredibly challenging (if not impossible) without at least some level of automation. &nbsp;DISA has provided a number of automated tools that produce STIG checklist results, but they suffer from various shortcomings. &nbsp;The Sagacity, originally created as a set of Perl scripts written for a government customer to try to eliminate paper checklists and make sense of a mountain of scan data, has grown into a full-fledged web application that makes the Security Assessment data management problem much more manageable. &nbsp;Some of the issues that the Sagacity tries to solve are:</p>\r\n\r\n<ul>\r\n	<li>Existing DISA and commercial tools only automate portions of vulnerability testing testing, requiring analysts to conduct extensive manual reviews using poorly designed and inefficient interfaces and often confusing and incomplete instructions. There is no easy-to-read, consistent data file or STIG checklist format that allows correlation of data across multiple systems of different types.</li>\r\n	<li>The previous STIG Checklists were designed to be printed and filled out manually, introducing incredible inefficiency, waste and the potential for introducing errors while transcribing findings from paper to computer.</li>\r\n	<li>The current XCCDF STIG Checklist Viewer works with data from one host and checklist at a time and is very inefficient for assessing multiple checklists across multiple systems.</li>\r\n	<li>The RMF/CCI IA Control relationships for the individual Potential Discrepancy Items (PDIs) in the STIG Checklists are sometimes missing or incorrect.</li>\r\n	<li>The VMSIDs and PDI Numbers (STIG IDs) are inconsistent and incomplete, and there is no way of easily comparing results with other vulnerability assessment tools like Tenable Nessus&reg; or Security Compliance Checker.</li>\r\n	<li>There is no way to easily consolidate and view host-level configuration information to make assessing some PDIs faster and more efficient.</li>\r\n	<li>Tracking procedural RMF&nbsp;control findings, associating them with the correct technical findings, and producing a combined set of results for use in a Risk Assessment is very difficult and time-consuming.</li>\r\n</ul>\r\n\r\n<p>This user guide describes the Sagacity web interface and additional tools to address the problems above. &nbsp;It will discuss the Security and Risk Assessment process, instructions for using Sagacity and finally ideas for future enhancements. &nbsp;It is more than just a guide for the tool, but a guide for performing security testing and creating Risk Assessments.<br />\r\n<img alt=\"CyberPerspectives.com\" src=\"/img/CP-com-logo-black.png\" style=\"width: 250px; height: 35px;\" /></p>\r\n'),
('1.1','General','Audience','<p>This user guide&nbsp;is written for two audiences.&nbsp; The first is the skilled, technical security analyst who will use the web interface and tools.&nbsp; The analyst must have a firm understanding of the assessment process and a working knowledge of tools like the SPAWAR Security Compliance Checker (SCC), Tenable Nessus&trade;, nmap, Microsoft Baseline Security Analyzer and others as well as a strong background in Windows, Unix and networking.&nbsp; Additionally, the analyst must be experienced using office software like Microsoft Excel or LibreOffice Calc.&nbsp; Although not completely necessary, a basic knowledge of scripting in&nbsp;PHP and&nbsp;MySQL is also helpful.</p>\r\n\r\n<p>The second audience is management personnel who may be considering having their organization use these tools.&nbsp; Section 2 on the assessment and Risk Assessment process provides an overview of the tools and the costs and benefits of using them.</p>\r\n'),
('1.2','General','Availability','<p>Sagacity, produced by <a href=\"http://www.cyberperspectives.com\">Cyber Perspectives, LLC</a> is freely available as an open source tool from the <a href=\"https://sourceforge.net/projects/sagacity/\">Sagacity SourceForge Project Page</a>. &nbsp;<br />\r\n<br />\r\nSagacity is a rebranded, significantly modified release of the ST&amp;E Manager, which was licensed, per government direction, under the Modified BSD (3 Clause) License. &nbsp;ST&amp;E Manager was created by Salient Federal Solutions and Science Applications International Corporation under Contracts W91260-09-D-0006-1201 and FA8823-07-D-0004. &nbsp;Under those contracts, Salient Federal Solutions and SAIC (now Leidos) own the copyright to their respective portions of that software, and the United States Government acquired unlimited rights to that computer software (48 C.F.R. 252.227-7014(a)(16)).<br />\r\n<br />\r\nSagacity is Portions Copyright (c) 2016-2017, Cyber Perspectives, LLC., Portions Copyright 2012-2015 Salient Federal Solutions and Portions Copyright 2008-2011 SAIC. &nbsp;See the the <a href=\"/docs/Copyright.txt\">copyright.txt</a> file and the copyright statements in individual files for author and attribution information.<br />\r\n<br />\r\nSagacity is licensed under the Apache 2.0 license. &nbsp;See <a href=\"/docs/license.txt\">license.txt</a> or <a href=\"http://www.apache.org/licenses/\">http://www.apache.org/licenses/</a> for details.<br />\r\n<br />\r\nWe would like to thank a number of individuals for their significant contributions to both the concepts and code. &nbsp;Please see <a href=\"/docs/Contributors.txt\">Contributors.txt</a> for a complete list.&nbsp;<br />\r\n<br />\r\nWe are excited to see the Sagacity user community grow and more people contribute their time and talents to its success. &nbsp;At Cyber Perspectives we are constantly trying to improve our software. &nbsp;Please e-mail any bugs or feature ideas to <a href=\"mailto:developers@cyberperspectives.com?subject=Sagacity%20Ideas\">developers@cyberperspectives.com</a> subject Sagacity Ideas or Sagacity Bugs, or you can create a <a href=\"https://sourceforge.net/p/sagacity/bugs/\">Sagacity Ticket</a> in the SourceForge Project Page.</p>\r\n'),
('1.3','General','No IA Functionality','<p>The Sagacity web interface does not provide any IA or security-related functionality. &nbsp;It relies on the operating system, Apache web server and MySQL databases to provide that functionality. &nbsp;The latter two systems are configured to only allow connections from the local system (loopback interface). &nbsp;The operating system provides all user authentication, access control and audit functionality. &nbsp;<em>The web interface is not IA-enabled.</em><br />\r\n<br />\r\nBecause of this, Sagacity cannot be used in a networked or multi-user configuration. &nbsp;Apache and MySQL <strong>must not</strong> be allowed to listen on the network. &nbsp;When installed and used as designed, Sagacity can be used on accredited systems and desginated as non-IA enabled software. &nbsp;It is currently approved for use on at least one AFSPC accredited system. &nbsp;Completed Apache and MySQL STIG eChecklists are available on request.</p>\r\n'),
('2','General','Security and Risk Assessment Process','<p>Sagacity provides a framework for collecting and analyzing assessment data and eventually&nbsp;will produce a portion of the Risk Assessment Report.&nbsp; This section provides a general description of the security and risk assessment processes that Sagacity is designed around.&nbsp; Section 3 describes tool usage in detail.</p>\r\n\r\n<p>The following sections describe the tools and web interface used to feed data into the eChecklist database during the assessment, using the Excel eChecklists for data analysis and correlation, and exporting and converting the eChecklist data to produce a draft Risk Assessment.</p>\r\n'),
('2.1','General','Security Assessment','<p>An assessment involves gathering configuration data from all systems within scope, performing automated and manual tests, collecting the test data in a central location and tracking progress. &nbsp;The Sagacity Web Interface was designed to streamline and track those tasks.</p>\r\n\r\n<div style=\"text-align:center\"><img alt=\"Sagacity Operations Screenshot\" src=\"img/help_doc/SagacityScreenshot.png\" style=\"max-width: 1200px; border-width: 1px; border-style: solid; margin: 5px;\" /><br />\r\n<strong>Sagacity Home Page</strong></div>\r\n\r\n<p>There are currently two primary pages in Sagacity interface (see the screenshot, above).&nbsp; The <strong>Operations</strong> menu contains ST&amp;E Operations page, shown above. &nbsp;(In the future it will also contain Checklist Operations and Procedural Operations). &nbsp;<strong>ST&amp;E Operations</strong>, shown above, provides the primary management interface, listing the targets (systems under test) by category (servers, workstations, etc.) and showing the status of various assessment tasks such as automated tests, manual reviews, data gathering and false-positive/Cat I finding reviews.&nbsp; Clicking on individual targets will bring up a host details page with TCP/UDP ports, installed software, applicable STIG checklists and other data.&nbsp; Clicking on the category names will open an eChecklist summary page for that group of targets that can be exported to Excel.&nbsp; This page and its functionality are covered in section <a href=\"/help.php?section=3.1\">3.1</a>&nbsp;&nbsp;</p>\r\n\r\n<p>The <strong>Scans</strong> menu contains both the Results page and Add Scan shortcut.&nbsp; The <strong>Result Management</strong> page allows the user to import and manage test data from Nessus&reg;, DISA Security Compliance Checker (SCC), STIG Viewer, NMap, collected host data, Microsoft Security Baseline Analyzer (MBSA) and&nbsp;eChecklists (more scan types will be added as development progresses), which populates the database with STIG findings and information about each target. &nbsp;It&nbsp;displays information about scan results as they are being processed as well as summary information about each input file, including the number of hosts and number of findings is included to assist with file management.&nbsp; This page and its functionality are covered in section <a href=\"/help.php?section=3.3\">3.3</a>.&nbsp;&nbsp;<strong>Add Scan</strong>&nbsp;is a shortcut to the Import button on the Results page, and provides an interface to upload new scan files.&nbsp;<br />\r\n<br />\r\nThe <strong>Management</strong> menu is a collection of tools to manage higher level information about the mission systems, sites and assessments in the database as well as administrative functions like catalog management, settings and a database search capability.&nbsp; This page and its functionality are covered in section <a href=\"/help.php?section=3.4\">3.4</a>.<br />\r\n<br />\r\nNote at the bottom of the page the <strong><a href=\"/docs/Copyright.txt\">Copyright</a></strong>,&nbsp;<a href=\"/docs/license.txt\" target=\"_blank\"><strong>License Information</strong></a> and <strong>User Guide</strong> links and version number.</p>\r\n\r\n<p>The use of these interfaces is described in detail in the following sections, but the overall workflow for an assessment would be as described in the following sections.</p>\r\n'),
('2.1.1','General','Pre Assessment','<ul>\r\n	<li>Under the Management menu, create a Mission System, Site(s) and ST&amp;E(s) for the testing .&nbsp; Each system can have multiple sites, and each site can have multiple assessments.&nbsp; This helps to better organize the data and will provide a way to search and compare current data with previous tests or similar systems.</li>\r\n	<li>Review the system hardware and software lists, identify the applicable STIG checklists for each host. &nbsp;Create a scan plan for providing the most coverage possible with automated scans. &nbsp;Identify checklists and hosts that require manual testing and plan the time required for that testing.&nbsp;&nbsp;</li>\r\n	<li>Populate known targets requiring purely manual testing in the ST&amp;E Operations page using the <a href=\"/docs/sample-host-list.csv\">CSV formatted host list</a> or previous scan results, hardware/software lists or network diagrams. &nbsp;Associate those targets with the expected manual STIG checklists and export those eChecklists beforehand.&nbsp; (Note that Sagacity has the ability to automatically populate targets and some checklists based on the operating system or software installed on the targets discovered by the automated scanning tools.)</li>\r\n	<li>Group the targets into the appropriate categories like server, workstation, network device, printer, etc.&nbsp; A user can create, modify or delete any category except for the default &ldquo;unassigned&rdquo; category, allowing each assessment to be customized to the system.&nbsp; (There is also an autocategorize feature that can categorize targets based on detected operating system.)</li>\r\n	<li>Select the appropriate assessment&nbsp;tasks (automated scans, manual testing, host data collection, false positive and Cat I reviews) for each target as part of the planning process.</li>\r\n</ul>\r\n'),
('2.1.2','General','During Assessment','<ul>\r\n	<li>As automated scans are completed, import the scan data into the database using the Scans &rarr; Results page.&nbsp; Make sure that the expected hosts and findings are ingested and correctly categorized on the assessment Operations page. &nbsp;Based on scan results, Sagacity may identify hosts and checklists requiring testing that were previously overlooked.</li>\r\n	<li>Review the STIG checklists associated with the targets and make any necessary changes.&nbsp; A post-processing script will identify additional applicable STIG checklists based on the installed software discovered by Nessus&reg; scans and SCC results.</li>\r\n	<li>Export eChecklists for assessment personnel to perform the remaining manual tests from the STIG checklists.&nbsp; This can be done either from the category bar or from within the category information page. &nbsp;Testing with multiple automated tools can reduce false positives and improve STIG coverage, reducing the amount of manual tests required.</li>\r\n	<li>When manual tests and false positive/Cat I checks are complete, import the completed eChecklists using the Scans &rarr; Results page.</li>\r\n	<li>Track task progress and for individual hosts using the task dropdowns on the assessment Operations page.</li>\r\n	<li>Review the results to identify any missing results, conflicts, technical findings associated with the wrong IA control and other potential issues. &nbsp;Correct as many as possible before leaving the test site.</li>\r\n</ul>\r\nThe recommended order of operations for loading scan results in Sagacity is:\r\n\r\n<ul>\r\n	<li><em>Discovery and Vulnerability Scans</em>: &nbsp;Nmap, Nessus&reg; discovery, Nessus&reg; vulnerability. &nbsp;These scans help Sagacity identify the Operating Systems, installed software, network services and applicable STIGs for the hosts.</li>\r\n	<li><em>Compliance Scans</em>: &nbsp;Nessus&reg;&nbsp;compliance scans, SCC. &nbsp;These scans provide automated STIG compliance testing data so Sagacity can identify the remaining manual tests required.</li>\r\n	<li>(Export eChecklists, perform manual testing)</li>\r\n	<li><em>Manual compliance test results</em>: &nbsp;Completed eChecklists, STIG Viewer .ckl. &nbsp;This completes the STIG assessment and allows the final results to be exported as either eChecklists, STIG Viewer or both.</li>\r\n</ul>\r\n'),
('2.1.3','General','Post Assessment','<ul>\r\n	<li>Review the results to identify incorrectly assessed checks, perform root cause and risk analysis and develop a list of recommendations for the program office.</li>\r\n	<li>Export the final technical eChecklists for each category, which become artifacts for the Risk Assessment and C&amp;A package.&nbsp; The final eChecklists can also be given to the site lead and/or vendor for remediation of findings.</li>\r\n	<li>If needed, export the technical findings in&nbsp;STIG Viewer .ckl format.</li>\r\n</ul>\r\n'),
('2.2','General','Risk Assessment','<p>Sagacity, originally developed to support DIACAP assessments, is transitioning to support the NISP SP 800-30 <em>Guide for Conducting Risk Assessments</em> methodology for a qualitative risk assessment. &nbsp;<br />\r\nRisk Assessment analysis and reporting will be one of the next priorities for development on Sagacity.'),
('3','General','Usage Instructions','<p>The following sections provide specific instructions for using the Sagacity web interface.&nbsp; It will cover the three main tabs and provide the detailed steps for the process outlined in section <a href=\"#2.1\">2.1</a>.</p>\r\n'),
('3.1','STEOps','ST&E Operations','<p>The ST&amp;E Operations page is the main &quot;Home&quot; page for Sagacity. &nbsp;The&nbsp;page provides a quick view of the progress of the overall assessment and provides an interface for organizing, reviewing and exporting assessmeht related data. &nbsp;The following sections describe the page in detail.</p>\r\n'),
('3.1.1','STEOps','Categories','<p>Individual hosts&nbsp;are organized into categories.&nbsp; The blue buttons on the top right of the page can be used to move hosts between categories, manage categories&nbsp;and create new targets.&nbsp; Categories should be customized for each system by&nbsp;separating targets into groups of like operating system and functionality.&nbsp; Changing categories in one assessment will not affect other assessments.<br />\r\n<br />\r\nWhen you <strong>Add Category</strong>&nbsp;you can select the expected scans for targets in the category, then the scan images (shown in <a href=\"#3.1.2\">3.1.2</a> below) will show grey until a scan of that type is ingested for that target.<br />\r\n<br />\r\nAdd Host List can be used to quickly add a large number of targets using a specially formatted .CSV file, <a href=\"/docs/sample-host-list.csv.\">located in the /docs folder</a>.</p>\r\n\r\n<p>The <strong>Unassigned</strong> category is the default category for all new auto-populated targets.&nbsp; It cannot be deleted or renamed, and will not appear if it does not contain any hosts.&nbsp; New targets should be moved from Unassigned to the appropriate category as soon as possible as this category has limited functionality. &nbsp;&nbsp;On the right side of the Unassigned category bar is the&nbsp;Auto-Categorization button.&nbsp; Clicking it will reassign any targets in unassigned to new categories based on the detected Operating System listed in the OS/Software column.&nbsp; Please note that targets with a Generic OS (unknown/unspecified) will not be auto-categorized.</p>\r\n\r\n<p>Clicking on the category name (except for Unassigned) will open the eChecklist export page, which is described in section <a href=\"#3.1.4\">3.1.4</a>. &nbsp;A quick eChecklist export can be accomplished with the green-arrowed export icon on the right side of the bar.</p>\r\n\r\n<p style=\"text-align:center\"><img alt=\"Sagacity Operations Tab\" src=\"img/help_doc/SagacityScreenshot.png\" style=\"max-width: 1200px; margin: 0px auto;\" /><br />\r\n<strong>ST&amp;E Operations Tab</strong></p>\r\n'),
('3.1.2','STEOps','Device/Category Table','<p>The table on the assessment Operations page contains the individual targets and categories. &nbsp;The following list below defines each of the table columns and text fields being used.</p>\r\n\r\n<ul>\r\n	<li><strong><img alt=\"Assessment Tasks\" src=\"img/help_doc/AssessmentTasks.png\" style=\"width: 375px; border-width: 1px; border-style: solid; margin-top: 5px; margin-bottom: 5px; float: right; height: 136px;\" />Device Name</strong>:&nbsp; The formal name of the host is set by default to the hostname, the fully qualified domain name (FQDN) or IPv4 address.&nbsp; This name can be changed to the formal name of the target as you want to see it in the final reports.&nbsp; For example, cps1 could be renamed &ldquo;Core Processing Server 1.&rdquo; &nbsp;Be aware, however, that changing the formal name could cause newly ingested scans to create a &ldquo;new&rdquo; host instead of adding results to the existing host.&nbsp; The <strong>Show IP</strong> button on the Ops page will toggle between displaying IP address and hostname.</li>\r\n	<li><strong>OS/Software</strong>:&nbsp; This is the Operating System of the host as set on the Host Information page.&nbsp; It is displayed here to help organize like systems. &nbsp;The <strong>Auto-Categorize</strong> button on the Unassigned category will create categories and move hosts based on the detected Operating System.</li>\r\n	<li><strong>Location</strong>:&nbsp; This is a text field set on the Host Information page used to describe where the target is physically located.&nbsp; The field is not required, but is helpful for organizing the targets and managing the assessment.&nbsp; It could be set to something like &ldquo;Server Room&rdquo; or &ldquo;Ops Floor.&rdquo;&nbsp; This field is not used elsewhere (for now), so it will not show up in any reports.</li>\r\n	<li><strong>Tasks</strong>:&nbsp; The four task columns can be used to track which assessment tasks have been completed for each host.&nbsp; The four columns are, by default, Automated scans, Manual STIG&nbsp;checks, target data and configuration gathering, and False Positive/Cat I manual reviews.&nbsp;To change the status, select the target checkbox for the desired targets, then use the&nbsp;column heading drop down box to change the status. During the course of the assessment,&nbsp;the statuses will go from red to yellow to <img alt=\"Applicable Checklists Icons\" src=\"img/help_doc/ApplicableChecklistsIcon.png\" style=\"border-width: 1px; border-style: solid; margin: 5px; float: right; height: 107px; width: 375px;\" />green after the page refreshes&nbsp;The statuses are:\r\n	<ul style=\"list-style-type:circle\">\r\n		<li><em>Complete</em>:&nbsp; The task is complete for this host.</li>\r\n		<li><em>In Progress</em>:&nbsp; The task has started, but is not yet complete.</li>\r\n		<li><em>Not Planned</em>: The task is applicable, but not planned for this assessment</li>\r\n		<li><em>Not Applicable</em>: The task is not applicable for this target.&nbsp; For example, there may not be an automated scanner available for a network device or printer.</li>\r\n		<li><em>Not Reviewed</em>:&nbsp; The default category is that the test is planned, but not yet started.</li>\r\n	</ul>\r\n	</li>\r\n	<li><strong>Scans:</strong> &nbsp;The icons here represent the scan types providing information for this host. &nbsp;This can be useful for tracking assessment progress and also for identifying missing scan information for specific hosts.</li>\r\n	<li><strong>Applicable Checklists</strong>:&nbsp; This column contains a set of icons representing the STIG checklists that are associated with each target.&nbsp;Operating systems are listed first, followed by IA-enabled applications and finally by the <em>Orphan Checklist</em>&nbsp;(question mark icon), which is assigned if there are findings from the scanners (especially Nessus&reg;) that are valid, but not part of any STIG Checklist.&nbsp; Hovering over each icon will provide a list of similar STIG checklists associated with that target.&nbsp; Checklists can be added or removed using the <a href=\"/help.php?section=3.1.3\">Target Page</a> by clicking on the device name. &nbsp;</li>\r\n	<li><img alt=\"Target Notes\" src=\"img/help_doc/TargetNotes.png\" style=\"border-width: 1px; border-style: solid; margin: 5px; float: right; width: 372px; height: 113px;\" /><strong>Notes</strong>: The notes page can be edited on the <a href=\"/help.php?section=3.1.3\">Target Page</a>. &nbsp;Notes can be used as reminders to perform certain actions, questions or statements about the host or anything else helpful to the team, however, these notes are only for the assessment team and will not be exported in any report. &nbsp;In some cases, Sagacity will add notes, most notably if it detects authentication failures from tools like Nessus&reg; that rely on authenticated scans for accurate and complete tests.&nbsp;</li>\r\n</ul>\r\n'),
('3.1.3','STEOps','Hosts Page','<p>The Host Page is accessed by clicking on the underlined target name on the assessment Operations page.&nbsp; The page collects detailed system data from Nessus&reg; and other automated scan tools and user input to allow the user to perform in-depth security analysis of the system.</p>\r\n\r\n<p>The <strong>Delete</strong>, <strong>Upload</strong>,&nbsp;<strong>Save</strong> and <strong>Cancel</strong> buttons appear at the top and bottom of the Host Page, and are used to delete the entire host (careful!), upload host data collected directly on the machine, save changes the user has made or simply cancel and return to the assessment Operations page.</p>\r\n\r\n<div style=\"text-align:center\"><img alt=\"Host Page 1\" src=\"img/help_doc/HostPage1.png\" style=\"max-width: 1200px;\" /><br />\r\n<strong>Host Information Page (basic information)</strong></div>\r\n\r\n<p>The top of the Host Page, shown above, contains both basic and detailed information about the target.</p>\r\n\r\n<ul>\r\n	<li><em>Device Name</em>:&nbsp; This is the formal name of the target.&nbsp; It is automatically set on input as either the hostname, the first non-loopback IP address or the FQDN (in that order).&nbsp; This name can be changed to a common name used by the site/vendor to describe it.</li>\r\n	<li><em>OS</em>:&nbsp; The primary operating system of the system can be selected by searching for the CPE associated with the host. &nbsp;For example entering &ldquo;<em>microsoft:windows_10</em>&rdquo; will provide a list of Windows 10 variants to choose from.&nbsp; This will affect the Applicable Checklists for the system as long as the Suspend Post-processing checkbox is not checked.</li>\r\n	<li><em>Location</em>:&nbsp; The location, which appears on the main assessment Operations page, is the physical location of the system, and is used by the team to help organize the data.</li>\r\n	<li><em>Tasks</em>:&nbsp; The four dropdowns allow you to set the status of tasks for this target.&nbsp; By default, the four categories are for automated scanning (Nessus&reg;, SCC, etc.), manual STIG checklist reviews, system configuration/data gathering and False Positive/Cat I finding reviews.</li>\r\n	<li><em>Notes</em>: The notes are for the assessment team only, and can contain reminders, system summary information, questions or anything else to help the team to conduct the assessment. Keep in mind the notes that you add on the host page notes field when saved, will be displayed on the assessment Operations tab table for that device row.</li>\r\n	<li><em>Missing Patches</em>:&nbsp; For some systems, Nessus&reg; performs an analysis of missing patches.&nbsp; The list is displayed here and can allow an analyst to perform several IAVM checks without interacting with the target, saving time.</li>\r\n	<li><em>Netstat Connections</em>: If Nessus&reg; was able to perform a netstat command (Windows, Linux or UNIX) the output will be displayed here, showing listening services and/or active TCP/IP connections between targets.</li>\r\n</ul>\r\n\r\n<p><big><strong>Available/Applicable Checklists:</strong></big></p>\r\n\r\n<p>One of the key concepts in Sagacity is associating the required STIG checklists with each target to provide a complete and accurate assessment of the system.&nbsp; Most servers and workstations will have at least three checklists and possibly quite a few more.&nbsp; The three basic checklists are the Benchmark, which contains the automated STIGs, the Manual checklist, containing almost all checks, and the IAVM STIG with the required patches.&nbsp; Additionally a system may have desktop applications such as Microsoft Office&trade;, provide services such as web or database, or have roles like directory services provider that require associating additional checklists.</p>\r\n\r\n<p>When Nessus&reg; scan data is imported, the assessment Manger&rsquo;s post-processor will attempt to identify the target&rsquo;s operating system and installed software, and from there will automatically associate several STIG checklists with the host.&nbsp; This will also happen when a user identifies an OS or installed software.&nbsp; However, because of limitations in the scan data, it is sometimes necessary and highly recommended to manually review and update the checklists.</p>\r\n\r\n<ul>\r\n	<li><em>Available Checklists</em>:&nbsp; This is a list of all STIG checklists included in Sagacity&rsquo;s PDI catalog. Users can click on a single checklist or CTRL-click on several, then use the arrows to add them to the Applicable Checklists.&nbsp; Please note that the list will not include checklists listed in the Applicable box.&nbsp; Hovering over a STIG will give the full title, including the version number and whether it is a benchmark, a manual, or an IAVM.</li>\r\n	<li><em>Applicable Checklists</em>: These are the checklists that are currently associated with the target.&nbsp; The user can click a single checklist or CTRL-click several, then remove them using the arrows.&nbsp; The user should carefully review this list to make sure all required and applicable STIG checklists are associated with this target.</li>\r\n	<li><em>Move Arrows</em>: The arrows are used to move single or multiple checklists between the Available and Applicable lists.</li>\r\n	<li><em>Search/Filter</em>: The text box next to the Applicable Checklists label can be used to filter the long list of checklists.&nbsp; For example, typing &ldquo;2008&rdquo; will find all STIGS that have &ldquo;2008&rdquo; in the title.</li>\r\n	<li><em>Hide Old Checkbox</em>:&nbsp; Selecting this checkbox will hide old versions of the STIGs.&nbsp; Since assessment&rsquo;s are normally performed by evaluating a system against the latest STIGs, this box is checked by default.</li>\r\n	<li><em>Suspend Post Processing Checkbox</em>:&nbsp; Checking this box will disable the post-processing that updates the Applicable Checklists based on the identified operating system and installed software.&nbsp; This would normally be used if the user wants to use an older version of a checklist or if the post-processing is selecting unnecessary checklists.</li>\r\n</ul>\r\n\r\n<p><big><strong>Available/Installed Software:</strong></big></p>\r\n\r\n<p>The software interface works much like the checklist interface.&nbsp; The Available Software list is a list of all software in the database.&nbsp; During scan data processing, the Manager will add new software to the catalog that it finds in the scan data.&nbsp; During post-processing, the Manager will look through the software list and add the necessary STIG checklists to the Applicable Checklists.</p>\r\n\r\n<ul>\r\n	<li><em>Available Software</em>:&nbsp; This is a list of all known software in the database.</li>\r\n	<li><em>Installed Software</em>:&nbsp; This is a list of all software installed on the system.&nbsp; It can include applications, patches and other packages.&nbsp; .</li>\r\n	<li><em>Search/Filter</em>:&nbsp; Typing in this field will filter the Available Software list for matching titles.&nbsp; For example, typing &ldquo;IE &rdquo; (IE space) will find the available Internet Explorer versions.</li>\r\n	<li><em>Move Arrows</em>:&nbsp; The arrows are used to move single or multiple software between the Available and Installed lists.&nbsp; The double arrow will clear the Installed Software list.</li>\r\n</ul>\r\n\r\n<div style=\"text-align:center\"><img alt=\"Host Page 2\" src=\"img/help_doc/HostPage2.png\" style=\"max-width: 1200px;\" /><br />\r\n<strong>Host Information Page (interfaces, ports, protocol &amp; services)</strong></div>\r\n\r\n<p>The bottom section of the host page, shown above, contains the detected system interfaces and the ports, protocols and services (PPS) information for the target.&nbsp; This includes all IP addresses, hostnames (if known) interface names and fully qualified domain names (FQDNs).&nbsp; The user can enter notes in the Description field for each interface, if needed.</p>\r\n\r\n<p>The PPS listing lists the port and protocol, the IANA name (if it can be resolved), banner information, and any other information the scanner was able to determine for that service.&nbsp; The text fields are editable, and the Notes field is especially useful for taking notes when performing manual probes or other tests on the individual services.&nbsp; Like the other notes on this page, they are for assessment team use only and will not appear in any reports.</p>\r\n'),
('3.1.3.1','STEOps','Upload Host Data Files','<p>Even with all the best scanning utilities (Nessus&reg;, Retina, SCC, etc), important configuration data about the host can be missed. &nbsp;In the <em>C:\\xampp\\www\\exec\\Target Host Tools</em> folder are a set of files that can be used to evaluate each computer individually and collect important configuration, registry and file information. &nbsp;The following is a description of the scripts and their purposes:</p>\r\n\r\n<ul>\r\n	<li>Windows:\r\n	<ul>\r\n		<li>Windows Data Collection:&nbsp;This script collects Windows OS configuration, registry, registry permissions,&nbsp;file permission information and the outputs of several common Windows commands from the target host that is invaluable for understanding the security of the system. &nbsp;To use, copy the folder to the C:\\TEMP folder on the target system and run the windows-data-collection.bat script as Administrator. &nbsp;The results will be in a folder named with the system hostname.</li>\r\n		<li>Windows Manual Tools: &nbsp;These are a set of sometimes difficult to find tools provided by DISA to aid in performing some STIG checks on various systems.</li>\r\n	</ul>\r\n	</li>\r\n	<li>Unix\r\n	<ul>\r\n		<li>linux-data-collection.sh: &nbsp;Similar to the Windows tool, this collects configuration files, file permissions and the outputs of several common system commands from Linux systems useful in evaluating STIG compliance and system security. &nbsp;Copy the script to /tmp and run with root privileges. &nbsp;The results will be in a .tgz file designated with the hostname.</li>\r\n		<li>solaris-data-collection.sh: &nbsp;This is the same script, customized with Solaris commands and filenames. &nbsp;It runs the same way.</li>\r\n	</ul>\r\n	</li>\r\n</ul>\r\n\r\n<p>Once the files are downloaded from the target host, use the Upload button to copy them to Sagacity and&nbsp;click the &quot;Parse Host Data Collection&quot; button. &nbsp;Sagacity will store them in the www/tmp/data_collection folder under that hostname. &nbsp;Sagacity also has the capability through the &ldquo;tweak scripts&rdquo; to run custom scripts evaluating the collected data to make determinations about the status of various Not Reviewed findings for the host. &nbsp;As of the 1.3 release, this capability is no longer being maintained, but is still available and rich with possibilities.</p>\r\n'),
('3.1.4','STEOps','eChecklist Export','<p>Clicking on the category name on the assessment Operations page will bring up the eChecklist Export page.&nbsp; (NOTE: Clicking on the Unassigned category will not work.&nbsp; Hosts must be put in a valid category before the eChecklists can be exported.)<br />\r\n<img alt=\"eChecklist Export Page\" src=\"img/help_doc/eChecklist-CategoryExport.png\" style=\"width: 1100px; height: 527px;\" /></p>\r\n\r\n<p>The table at the top of the page is a summary of hosts and checklists included in the export.&nbsp; Review it to make sure that the required data is included.&nbsp; The Export button will allow you to save the checklist as a multi-tabbed Microsoft Excel (.xlsx) eChecklist file.&nbsp; When the browser prompts you to either save or open the file, save it to disk, then open it from Windows Explorer.&nbsp; Some browsers have difficulty opening the file directly from Sagacity.</p>\r\n<img alt=\"Export eChecklist\" src=\"/img/help_doc/Export-eChecklist.png\" style=\"width: 250px; height: 153px; float: right;\" />\r\n<div>\r\n<p>The user may also click on the eChecklist export button (shown below)&nbsp;to quickly perform a simple export all checklists for all targets assigned to this category. &nbsp;This will not, however,&nbsp;provide you way to&nbsp;review the findings.</p>\r\n\r\n<div><strong>Orphan Checklist</strong>\r\n\r\n<p>If there are valid findings from the scanners (especially Nessus&reg;) that are not part of any STIG Checklist, they will be included in the Orphan Checklist.&nbsp; These findings can fall into a few categories:</p>\r\n\r\n<ul>\r\n	<li><em>Vulnerabilities Not in the STIGs</em> &ndash; When using the latest Nessus&reg; plugins, the scanner tests for the latest missing patches, new vulnerabilities and best-practice system configurations.&nbsp; The STIGs, released quarterly, may not have released guidance on these findings yet.&nbsp; Even though they are not in the STIGs, they are still valid security concerns and should be reported and remediated.</li>\r\n	<li><em>Unlinked IAVMs</em> &ndash; The database does its best to create links between Nessus&reg; plugin IDs and IAVMs through CVE, BID, and advisory references, but there are plugins that are not linked.&nbsp; As mentioned above, Nessus&reg; could be reporting a new patch that there is no IAVM for yet.&nbsp; A future release of the Manager will provide an interface for manually linking the IAVMs and Nessus&reg; Plugins.&nbsp; For now, the missing patch will be reported in the Orphan Checklist.</li>\r\n	<li><em>Many to One Relationships</em> &ndash; Because of the way Nessus&reg; tests for vulnerabilities, there are times when Nessus&reg; will report several findings which really line up with a single STIG Potential Discrepancy Item (PDI).&nbsp; For example, the one PDI may require certain file permissions for log files, but Nessus&reg; will produce a unique finding for each log file that does not meet the requirements.&nbsp; Trying to combine the individual findings into one PDI would result in a loss of information.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n'),
('3.1.5','STEOps','Tracking Assessment Tasks','<img alt=\"\" src=\"img/help_doc/AssessmentTasks-2.png\" style=\"width: 275px; height: 169px; border-width: 1px; border-style: solid; margin: 5px; float: right;\" />\r\n<p>Changing the status on assessment tasks can be done on the assessment Operations page (for many systems at once), through the <strong>Bulk Editor</strong>&nbsp;(section 3.1.7), or on the host data page for each individual target.</p>\r\n\r\n<p>To change the status on the assessment Operations page, select the desired target checkboxes on the left hand side of the screen, then use the dropdown in the appropriate task column to make the change, as shown on the right.<br />\r\n<br />\r\nThis functionality is scheduled for a major revision in an upcoming version of Sagacity. &nbsp;A critical element in performing a successful security assessment is ensuring that all tests are completed and all data collected and reviewed for accuracy and completeness before leaving the test site.</p>\r\n\r\n<div>&nbsp;</div>\r\n'),
('3.1.6','STEOps','Category Controls','<p><img alt=\"Category Bar\" src=\"/img/help_doc/CategoryBar.png\" style=\"height: 30px; width: 1000px;\" /><br />\r\nThe buttons on the category headers are there to help the user to organize and perform certain functions. Host counts (displayed next to the category title) are always visible. &nbsp;Starting on the left, they are:</p>\r\n\r\n<ul>\r\n	<li><em>Collapse/Expand</em>: This button will simply collapse the targets so that only the category header is visible. &nbsp;After clicking on it the first time it changes to a &quot;+&quot; button. &nbsp;When clicking on the &quot;+&quot; button the targets will be revealed.</li>\r\n	<li><em>Select All/None</em>: This button will toggle the selection of buttons for that category. &nbsp;This is the only button that is available in the Unassigned category to more easily assign new targets to their appropriate category.</li>\r\n	<li><em>Findings Statistics</em>: &nbsp;These numbers indicate the number or percentage of Not a Finding, Open, Not Applicable and Not Reviewed findings for all hosts in that category. &nbsp;Please note that the numbers are only raw, and intended to gauge the completeness of the testing, not to determine the overall risk for that category.</li>\r\n	<li><em>Category Title</em>: &nbsp;The name of the category is also a hyperlink to preview the eChecklist header and export eChecklists for this category. &nbsp;It is followed by the number of hosts in parenthesis, and, if used, the name of the analyst assigned to that category.</li>\r\n</ul>\r\nTo the right of the Category title are:\r\n\r\n<ul>\r\n	<li><em><em><em><img alt=\"Category Buttons\" src=\"/img/help_doc/Category_buttons.png\" style=\"font-style: normal; float: right; height: 153px; width: 250px;\" /></em></em>Export eChecklist</em>: This button will allow the user to export an eChecklist without having to review the results. &nbsp;It will export all checklists for all targets assigned to the category that was clicked on.</li>\r\n	<li><em>Assign Category to Analyst</em>: This button will display the prompt on the right and allow the user to input the name the person that is in charge of taking care of this category. &nbsp;This can be very useful for the assessment Lead when multiple analysts are helping perform manual checks or evaluating different segments of the system.</li>\r\n	<li><em>Category Menu</em>:\r\n	<ul>\r\n		<li><em>Add Target</em>: &nbsp;Used to manually&nbsp;add a new target to this category. &nbsp;The interface will allow the selection of the classification, name and OS of the target as well as assigning&nbsp;any STIG checklists and other pertinent data.</li>\r\n		<li><em>Edit Category</em>: &nbsp;This will allow the user to rename the category and assign an analyst. &nbsp;It will also&nbsp;will also allow editing the expected scans for that category.</li>\r\n		<li><em>Delete Category</em>: &nbsp;This menu item will delete the category. &nbsp;Any hosts in the category will be moved to the Unassigned category. &nbsp;No host or finding data will be lost.</li>\r\n		<li><em>Category Interview</em>: &nbsp;This is a deprecated feature associated with the Host Data Collection and tweak scripts, used in older Windows and Unix STIGs to mark large numbers of irrelavent checks as Not Applicable based on interviewing a sys admin about software installed on the system.&nbsp;</li>\r\n		<li><em>Bulk Edit</em>: This button will open a new window and allow the user to change many options for multiple targets that are assigned to the category. &nbsp;Further details of this feature will be covered in section <a href=\"#3.1.7\">3.1.7</a></li>\r\n		<li><em>Export CKL</em>: This will export STIG Viewer .ckl formatted files for all hosts and all checklists in the category. &nbsp;Please note that due to a limitation in the .ckl file format this will produce a file for every host-checklist pair, which can be a large number of files in some cases.&nbsp;</li>\r\n	</ul>\r\n	</li>\r\n</ul>\r\n'),
('3.1.7','STEOps','Bulk Editing','<p>Bulk editing allows users to select multiple targets and change multiple items for each of those targets in one pass. &nbsp;This is a helpful feature, and can speed up manually changing hosts, but always double check to make sure you are changing the hosts you want.</p>\r\n\r\n<p style=\"text-align:center;font-weight:bold;\"><img alt=\"Bulk Editing\" src=\"/img/help_doc/BulkEdit.png\" style=\"width: 1100px; height: 639px;\" /><br />\r\nBulk Editing</p>\r\n\r\n<p>The user selects the items&nbsp;to change, then checks each target in this category they want changed, then presses the save button. &nbsp;The options are the same as the Host Details page with the exception of &quot;Remove Existing Checklists&quot;. &nbsp;This checkbox will tell the system to delete any checklists that are already assigned, assign the checklists selected in the multi-select box, then perform post-processing (if that box is checked). &nbsp;This allows the user to simply add multiple checklists to multiple hosts without drastically affecting other hosts.</p>\r\n'),
('3.2','ProcOps','Procedural Operations','<p>The original procedural operations page was designed for DIACAP assessments and&nbsp;is currently being redesigned to support RMF, and will be provided in a future release. &nbsp;For the curious, it can still be accessed in the _proc folder, but it is unsupported.<br />\r\n<br />\r\nPlease watch our page at <a href=\"http://www.cyberperspectives.com\">http://www.cyberperspectives.com</a>&nbsp;or our <a href=\"https://www.facebook.com/cyberperspectives\">Facebook Page</a> for upcoming announcements.</p>\r\n'),
('3.3','ResMan','Results Management','<p>The Results page &nbsp;(under Scans) is used to ingest, manage and delete results from a variety of sources. &nbsp;It lists the files that have been uploaded, the original file date, a source type, how long the import took and actions that the user can take.</p>\r\n\r\n<div style=\"text-align:center\"><img alt=\"Results\" src=\"img/help_doc/Results.png\" style=\"max-width: 1200px; border-width: 1px; border-style: solid; margin: 5px;\" /><br />\r\n<strong>Scan Management Tab</strong></div>\r\n\r\n<p>The dropdown on the top left corner is used, as on the ST&amp;E&nbsp;Operations tab, to select the active assessment.&nbsp; Creating an assessment is covered in section <a href=\"#3.4.1\">3.4.1</a>.<br />\r\n<br />\r\nThis page provides information about the scan files that Sagacity has imported into the database in a table that can be filtered and sorted. &nbsp;The Show Entries dropdown at the top left controls how many results are shown per page, and the lower right of the table (not shown) has page controls to see other pages.</p>\r\n\r\n<ul>\r\n	<li><em>Name</em>: &nbsp;A list of results files that have been imported.&nbsp;</li>\r\n	<li><em>Date</em>: &nbsp;The&nbsp;date the scan was run,</li>\r\n	<li><em>Type: &nbsp;</em>These icons show the type of scan file that was loaded. &nbsp;This column is filterable to only display certain file types.</li>\r\n	<li><em>Start</em>: The date and time the file was uploaded.</li>\r\n	<li><em>Running</em>: &nbsp;Shows how long it took the file to load, to help measure performance.</li>\r\n	<li><em>Status</em>: &nbsp;Whether the file is In Queue for ingestion, Running, Complete, or resulted in an Error or was Terminated.</li>\r\n	<li><em>%Comp</em>: &nbsp;The completion task bar, while In Queue or Running will display the percentage complete for each file.</li>\r\n	<li><em>Action</em>: &nbsp;The first icon will list the host information. &nbsp;The trash can will delete the scan, with an option to also delete all associated hosts. &nbsp;(<strong>Be careful! &ndash;&nbsp;See below!</strong>) &nbsp;When the file is Running, a red X like that in the title bar will appear, allowing the user to cancel the import.</li>\r\n</ul>\r\n\r\n<p>The <strong>Stop Refresh</strong> button is used to toggle automatic refresh of the completion bars. &nbsp;The<strong> Import </strong>button is used to select files for ingestion and will be described in the next section.</p>\r\n'),
('3.3.1','ResMan','Importing Results Files','<p><img alt=\"File Import\" src=\"img/help_doc/FileImport.png\" style=\"border-width: 1px; border-style: solid; margin: 5px; float: right; height: 235px; width: 500px;\" />The <strong>Import</strong> button, on the top right (shown above), is used to import result files.&nbsp; Clicking anywhere in the <strong>Upload Box</strong> brings up the File Upload interface (shown here).&nbsp; Clicking the <strong>Drop Files Here to Upload</strong> text in the middle of the box&nbsp;will open a Windows Explorer window that can be used to select files to load.&nbsp; Otherwise, the user can drag and drop one or more input files into the box. &nbsp;General rules of thumb for importing files are:</p>\r\n\r\n<ul>\r\n	<li>The recommended&nbsp;order of operations for using Sagacity is to upload files in the following order.\r\n	<ul>\r\n		<li><em>Discovery Scans</em>: &nbsp;Nmap and Nessus&reg; Discovery/Vulnerability Scans. &nbsp;These scans (especially Nessus&reg;) have reliable data about&nbsp;operating system, installed software and running services used to identify and categorize the targets, accurately assign STIG checklists and associate IP addresses, hostnames and Fully Qualified Domain Names (FQDNs).</li>\r\n		<li><em>Automated Compliance Scans</em>: &nbsp;Nessus&reg; Compliance Scans. SCC Data, MBSA Results. &nbsp;These scans provide the most complete and valuable IAVM and STIG compliance data which reduce the amount of work required to perrform manual compliance testing.</li>\r\n		<li><em>Manual Results</em>: &nbsp;eChecklist, STIG Viewer .CKL. &nbsp;Once the manual testing is complete, the remainder of the compliance results can be imported to ensure a complete test, support Risk Analysis and reporting and allow for a complete export of final eChecklists or STIG Viewer files for the final report package.</li>\r\n	</ul>\r\n	</li>\r\n	<li>For large files (over 100 MB), input one at a time to improve performance.</li>\r\n	<li>Sagacity will parse multiple files simultaneously, based on the Max # of Result Scans on the settings page (default is 5)</li>\r\n</ul>\r\n\r\n<p>Once the upload is complete click&nbsp;<strong>Add Scan Result</strong>. &nbsp;Sagacity will return to the Results page where the user can watch the progress bars to know when ingestion is complete. &nbsp;A background process is started that examines all the files in the /www/tmp directory, and starts a parser for each file that it finds. &nbsp;Once they are parsed they are moved to the subdirectories&nbsp;in /www/tmp for their respective file types. &nbsp;This helps to organize scan data for the assessment.</p>\r\n'),
('3.3.2','ResMan','Result File Details','<p>Clicking the <strong>List Hosts</strong>&nbsp;(<img alt=\"List Hosts Icon\" src=\"/img/help_doc/ListHostsIcon.png\" style=\"width: 12px; height: 13px;\" />) button will pop up a list of targets/hosts included in that result file, including the hostname, number of findings and IP address for each host.</p><div style=\"text-align:center\"><img alt=\"Host List\" src=\"img/help_doc/HostList.png\" style=\"max-width: 1200px; border-width: 1px; border-style: solid; margin: 5px; height: 454px; width: 1000px;\" /><p style=\"text-align:center;font-weight:bold;\">Results Host List</p></div><p>This information can provide a quick sanity check on the data and the upload process.&nbsp; The analyst can make sure that the expected hosts were found.&nbsp; On systems that have not been well secured, the number of findings can be an indication of whether the scan ran successfully, including whether or not the administrative portion of the Nessus&reg; scan was successful.&nbsp; Only the first non-loopback IPv4 address will be displayed in the IP Address column. &nbsp;The columns can be sorted and filtered, and the number of entries can be controlled as well.</p>'),
('3.3.3','ResMan','Deleting Results','<img alt=\"Delete Warnings\" src=\"img/help_doc/DeleteHostsWarnings.png\" style=\"float: right; height: 222px; width: 250px;\" />\r\n<p>The trash can Delete&nbsp;button to the right of each row&nbsp;can be used to delete the targets and findings associated with that file. However, there are a few important considerations for this function.</p>\r\n\r\n<ul>\r\n	<li>Upon clicking the &quot;Delete&quot; button the user will be prompted to answer if they want to also delete targets that were found in this scan. &nbsp;After answer that question, they will then be prompted with a confirmation box making sure they want to delete the scan file and findings.</li>\r\n	<li>Deleting the results file deletes findings.</li>\r\n	<li>PDIs that are duplicated in other scans or imported eChecklists will not be deleted if they were imported after the deleted scan.&nbsp; For example, if a Nessus&reg; scan is loaded, followed by an SCC scan for the same host and the analyst deletes the Nessus&reg; scan, the common findings between the scans will remain.&nbsp; However, if the SCC scan were deleted, all of the common findings&nbsp;would be deleted.</li>\r\n	<li>If there were conflicts between findings from scans, the most significant result will be used.</li>\r\n</ul>\r\n'),
('3.4','DataMan','Management Tab','<p><img alt=\"Management Tab\" src=\"/img/help_doc/ManagementTab.png\" style=\"float: right; height: 216px; width: 300px;\" />The&nbsp;<strong>Management</strong>&nbsp;Tab is used to manage the data in the database, configure the system and perform searches. &nbsp;Further explanation of the functionality is included in subsequent sections, but is summarized here:</p>\r\n\r\n<ul>\r\n	<li><strong>Systems</strong>: &nbsp;The mission system being assessed.</li>\r\n	<li><strong>Sites</strong>: &nbsp;The locations where the system operates.</li>\r\n	<li><strong>ST&amp;E</strong>: &nbsp;The assessment of the System and Site(s).</li>\r\n	<li><strong>Catalog</strong>: &nbsp;A searchable listing of all STIGs in the database.</li>\r\n	<li><strong>Settings</strong>: &nbsp;Sagacity configuration settings.</li>\r\n	<li><strong>Search</strong>: &nbsp;A comprehensive&nbsp;database search capability. &nbsp;</li>\r\n	<li><strong>Target Search</strong>: &nbsp;A host details search capability.</li>\r\n</ul>\r\nBefore the system can have assessment data loaded, the user must create a mission system, a site, and an assessment.&nbsp; Each mission system can have multiple sites, and each system / site group can have multiple assessments.&nbsp; A mission system is defined by the accreditation boundary.&nbsp; A site is a physical location where the mission system is operated, and an assessment is an individual test event conducted at a site.'),
('3.4.1','DataMan','Mission System Creation / Modification','<div style=\"width:800px;display:inline-block;vertical-align:top;\">\r\n<p>As shown below, under the Mission <strong>System Management</strong> side tab, select New.&nbsp; Fill in the name&nbsp;and Classification levels, and then click Save System. &nbsp;MAC Level is for DIACAP and can be safely ignored.</p>\r\n\r\n<p>A popup will ask you if you want to move on to site management.&nbsp; Click OK to create a site.</p>\r\n\r\n<p>To modify a system, select it using the dropdown, make any changes and then click &quot;Update System.&quot;&nbsp; At this time, there is no way to delete a mission system using Sagacity.</p>\r\n</div>\r\n<img alt=\"Mission System Management\" src=\"/img/help_doc/SystemManagement.png\" style=\"width: 1000px; height: 408px;\" />\r\n<p style=\"text-align:center;font-weight:bold;\">Mission System Management</p>\r\n'),
('3.4.2','DataMan','Site Creation / Modification','<div style=\"width:800px;display:inline-block;vertical-align:top;\">\r\n<p>To create a site, click on the <strong>Site</strong> Management side tab, then select &quot;New&quot; from the dropdown.&nbsp; Enter the site information, including site name and address and POC information.<br />\r\n<br />\r\nThe only required field&nbsp;is&nbsp;Name. &nbsp;The others are optional.<br />\r\n<br />\r\nA popup will ask you if you want to move on to assessment management.&nbsp; Click OK to create an assessment.<br />\r\n<br />\r\nTo modify a site, select it using the dropdown, make any changes and then click &ldquo;Update Site.&rdquo;&nbsp; At this time, there is no way to delete a site using Sagacity.</p>\r\n</div>\r\n\r\n<div style=\"width:350px;display:inline-block;\"><img alt=\"Site Management\" src=\"img/help_doc/SiteManagement.png\" style=\"width: 350px; height: 275px;\" />\r\n<p style=\"text-align:center;font-weight:bold;\">Site Managemenet</p>\r\n</div>\r\n'),
('3.4.3','DataMan','ST&E Creation / Modification','<div style=\"width:800px;display:inline-block;vertical-align:top;\"><br />\r\nTo create an assessment, click on the<strong> ST&amp;E Management</strong> link, then select New from the dropdown.&nbsp; Fill in the Start and End dates.&nbsp; All fields (except &quot;Subsystems&quot;) are required.&nbsp; The selection of a sub-system allows the creation of multiple assessments at once where one system is the primary and the others are created as subs under the primary. &nbsp;This is for reporting&nbsp;so that subsystems will be included in reporting the primary system. This&nbsp;will create another ST&amp;E for each subsystem, so each subsystem can be independently managed.<br />\r\n<br />\r\n<img alt=\"ST&amp;E Management\" src=\"/img/help_doc/STEManagement1.png\" style=\"width: 1000px; height: 218px;\" /><br />\r\n<br />\r\nTo modify an assessment, select it using the dropdown, make any changes and then click &quot;Update assessment.&quot;</div>\r\n\r\n<div>\r\n<div style=\"width:800px;display:inline-block;vertical-align:top;\">The screenshot below depicts a list of all targets that have been imported for this assessment.&nbsp; Just like the host list on the <strong>Results</strong> page, this list can be sorted by clicking on the column headers.<br />\r\n&nbsp;\r\n<div><img alt=\"ST&amp;E Management Hosts\" src=\"/img/help_doc/STEManagement2.png\" style=\"width: 1000px; height: 493px;\" /></div>\r\n</div>\r\n</div>\r\n'),
('3.4.3.1','DataMan','Compare ST&Es','<img alt=\"Compare ST&amp;Es\" src=\"/img/help_doc/CompareSTEs.png\" style=\"width: 550px; height: 180px; float: right;\" />\r\n<p>Sagacity has the rudimentary capability of comparing two ST&amp;Es, allowing the user to identify differences at the category and host level. &nbsp;Using the dropdown on the lower right, select the ST&amp;E to be compared to the current ST&amp;E, then click on the <strong>Compare ST&amp;E</strong> button. &nbsp;The next screen will show the two assessments in a table like the image on the right. &nbsp;This summary table provides counts of:</p>\r\n\r\n<ul>\r\n	<li>Cat I, II and III findings,</li>\r\n	<li>Not a Finding (compliant) checks&nbsp;</li>\r\n	<li>Not Applicable checks</li>\r\n	<li>Not Reviewed checks</li>\r\n</ul>\r\nThe <strong>Compare Targets</strong> button at the bottom of the table will bring up the next screen, shown below.<br />\r\n<br />\r\n<img alt=\"Compare Targets\" src=\"img/help_doc/CompareTargets.png\" style=\"float: right; height: 395px; width: 550px;\" />\r\n<div>This table contains a list of all targets in both assessments and summary counts of their findings. &nbsp;The grayed out sections of the table indicate that that host does not exist in that ST&amp;E. &nbsp;This allows the analyst to determine which hosts are unique to each assessment and identify deltas in the numbers of findings.. &nbsp;Clicking on the <strong>Hostname Button</strong> will bring up another table similar to the eChecklist which will show all STIG checks and notes for that host from both assessments side by side.<br />\r\n<br />\r\nThe Assessment Comparison functionality is in its earliest stages. &nbsp;It was originally built as a proof of concept to fill a one-time requirement, but has a lot of promise. &nbsp;We look forward to including additional functionality like filtering, sorting and search, as well as more in-depth analysis tools to help you identify trends and deltas.\r\n<div><br />\r\n&nbsp;</div>\r\n</div>\r\n'),
('3.4.4','DataMan','Catalog Management','<p><strong>Catalog Management&nbsp;</strong>is used to view and search the STIGs in Sagacity&rsquo;s database.&nbsp; New or Legacy STIGs can be added to the database for use during an assessment.&nbsp; DISA releases updated STIG checklists at least quarterly, usually at the end of January, April, July and October.&nbsp; New STIGs can be uploaded as either individual XCCDF formatted XML files or as the entire STIG Library .zip files (Unclassified and FOUO) available from <a href=\"http://iase.disa.mil/stigs/compilations/Pages/index.aspx\">http://iase.disa.mil/stigs/compilations/Pages/index.aspx</a>. &nbsp;Individual STIGS can be found using the A-Z List, found at&nbsp;<a href=\"http://iase.disa.mil/stigs/Pages/a-z.aspx\">http://iase.disa.mil/stigs/Pages/a-z.aspx</a></p>\r\n\r\n<p>The Search function, shown below looking for Windows 2012 STIGs, searches on the STIG filename. &nbsp;Clicking on the hyperlink will open a popup that can be used to associate STIGs with Common Platform Enumeration (CPE) identifiers to improve Sagacity&rsquo;s automated STIG detection capabilities. &nbsp;If you find that the STIG you need is not being automatically detected, you can set that here.</p>\r\n\r\n<div style=\"text-align:center\"><img alt=\"Catalog Management\" src=\"img/help_doc/CatalogManagement.png\" style=\"max-width: 1200px; border-width: 1px; border-style: solid; margin: 5px; height: 474px; width: 1000px;\" /><br />\r\n<strong>PDI Catalog Management Interface</strong></div>\r\n\r\n<p>Sagacity also keeps a repository of the original XCCDF formatted STIGs&nbsp;and CSV eChecklist files in&nbsp;<em>C:\\xampp\\www\\reference\\stigs</em></p>\r\n'),
('3.4.5','DataMan','Settings','<img alt=\"Sagacity Settings\" src=\"/img/help_doc/settings.png\" style=\"width: 700px; float: right;\" />\r\n<p style=\"\"><font color=\"#000000\">The Settings page allows a user to configure Sagacity for their environment.</font><br />\r\nThe first section is for company information. &nbsp;This is used to populate the eChecklist cover page and will be used for reportring in future releases.<br />\r\n<br />\r\nThe second section contains web settings. &nbsp;Most of these are set at installation and should not be changed. &nbsp;The exception is the <strong>Log Level</strong>, which can be made more verbose for troubleshooting and development.<br />\r\n<br />\r\nThe <strong>Flatten eChecklist</strong>&nbsp;check box will suppress the output of the comparison columns in the eChecklist.<br />\r\n<strong>Wrap E-Checklist Check Contents</strong> will set the Short Title and Check Contents columns in the eChecklists to word wrap. &nbsp;This is a user preference, with some analysts preferring to see a more compressed view and others wanting all of the text to be easily visible.<br />\r\n<strong>Audible Notifications</strong> will cause an audible alert to sound every time a scan file ingestion completes. &nbsp;This can be useful for large, long running files, but rather repetitive for large numbers of files. &nbsp;The sound can be customized by replacing the <em>/results/complete2.mp3</em> file with the file of your choice.<br />\r\n<br />\r\n<strong>Port Ingestion Limit</strong> controls the number of TCP and UDP ports recorded in the database for each host. &nbsp;This overcomes issues with nmap and Nessus&reg;&nbsp;where port scanning can sometimes identify all scanned ports as open, filling up the database with incorrect port information.<br />\r\n<strong>Max # of Result Scans</strong> controls the number of threads used to ingest result scans. &nbsp;The default is 5. &nbsp;The Maximum is 20, but please note unless you have a beefy system, this could result in system performance issues.<br />\r\n<strong>Output Format</strong>&nbsp;is the format of the eChecklist. &nbsp;This can be set to Microsoft Excel.(xlsx or .xls) or Open/LibreOffice (.ods).<br />\r\n<br />\r\nThe next five&nbsp;path settings are set at installation and should normally not be changed. &nbsp;Likewise, the DB server and path settings should nornally not be changed.<br />\r\n<br />\r\nFinally, the page concludes with <strong>Save Settings</strong> written in large, friendly letters. &nbsp;This is largely self-explanatory.</p>\r\n'),
('3.4.6','DataMan','Target Search','<p>Sagacity now provides a fairly robust target search capability. &nbsp;Analysts can search for targets based on a number of attributes:<img alt=\"Target Search Options\" src=\"/img/help_doc/TargetSearchOptions.png\" style=\"float: right; height: 192px; width: 180px;\" />\r\n<ul>\r\n	<li>Category: &nbsp;These are the primary host categories as seen on the Ops Page.</li>\r\n	<li>Name: &nbsp;The system hostname or FQDN.</li>\r\n	<li>OS: &nbsp;The Operating System Common Platform Enumeration (CPE) identifier.</li>\r\n	<li>Installed Software: &nbsp;The CPE of installed software.</li>\r\n	<li>Task Status (Auto, Manual,&nbsp;Data Gathering,&nbsp;FP/Cat I Review):&nbsp;</li>\r\n	<li>Open Port: &nbsp;Search for open TCP or UDP ports.</li>\r\n</ul>\r\nTo perform a target search, first select a filter type in the filter options drop down. &nbsp;Next type a filter string in the Filter&hellip;&nbsp;box and hit <strong>Add</strong>. &nbsp;This adds the filter to the options list. &nbsp;(You can double-click it to remove.) &nbsp;Finally, hit the <strong>Filter</strong> button to see the search results.<br />\r\n<br />\r\nThe example below shows a search for Windows_7 systems in the current assessment.<br />\r\n<br />\r\n<img alt=\"Target Search\" src=\"/img/help_doc/TargetSearch.png\" style=\"width: 1000px; height: 290px;\" /><br />\r\n<br />\r\nIf you want to save a query, then just type the name in the box at the header and hit &ldquo;Save Filter&rdquo;, then you can just select the saved filter from the drop down and it will put the filters in the box and execute the filter for you displaying the results below.&nbsp; There is currently not a way to delete a saved filter.<br />\r\n<br />\r\nThe search results are in much the same format as the ST&amp;E Operations page, providing hostname, Operating System, loaded scans and Checklists. &nbsp;Development is proceeding on also providing counts of Cat I, II and III open findings, Not a Finding, Not Applicable, Not Reviewed and percentage Compliant.'),
('3.4.7','DataMan','Search','<p><img alt=\"Search Filters\" src=\"img/help_doc/SearchFilters.png\" style=\"width: 400px; height: 220px; border-width: 1px; border-style: solid; margin: 5px; float: right;\" />The search function provides a comprehensive database search capability which includes, CVE, CPE, STIGs, IAVMs (if imported), IA Controls, Nessus Plugins (only as they are linked to STIGs), and VMS IDs.<br />\r\n<br />\r\nEntering &nbsp;a text string&nbsp;will search the PDI catalog&rsquo;s Title, Description and Check Contents fields, using a database LIKE. &nbsp;The wildcard&nbsp;&lsquo;%&rsquo; can be used as well. &nbsp;An example of search results for &ldquo;windows error reporting&rdquo; is below.<br />\r\n<br />\r\nFor a more precise search, the user can use a &ldquo;prefix<keyword>=&rdquo; search to search for specific STIG ID, VMS ID, IA controls, IAVM, CVE, Checklist or Nessus&reg; plugin IDs. &nbsp;Prefixes are case insensitive and can be enters as &lsquo;STIG&rsquo; or &#39;stig&#39;, for example. &nbsp;&nbsp;Some search examples are: </keyword></p>\r\n\r\n<ul>\r\n	<li><keyword>CPE=%/o%windows_7% </keyword></li>\r\n	<li><keyword>CVE=%-2016-% </keyword></li>\r\n	<li><keyword>STIG=2.005 </keyword></li>\r\n	<li><keyword>IA=%CCI-127%&nbsp;(<keyword>You will&nbsp;want to search with the wildcards because the IA Controls field is a concatenated list of all the controls associated with that STIG) </keyword></keyword></li>\r\n	<li><keyword><keyword>VMS=V-12345 </keyword></keyword></li>\r\n</ul>\r\nPlease note, Nessus search will find PDIs that are linked to the searched for Nessus Plugin ID. &nbsp;There are plans to expand this to include details about the plugin itself.<br />\r\n<br />\r\n<img alt=\"Search Results\" src=\"img/help_doc/SearchResults.png\" style=\"width: 900px; height: 353px;\" /><br />\r\nThe search results provide the STIG ID, VMS ID, Source STIG Checklist, a link to the PDI and a icon link to STIG checklist containing the PDI.&nbsp;'),
('3.5','DataMan','eChecklists','<p>The eChecklist, shown below, provides a easily readable, concise way of communicating technical findings and conducting manual STIG checks.&nbsp; Once completed, it can be provided as a record of the assessment results to be provided as an artifact with the C&amp;A package or to the system vendor or administrators responsible for correcting the issues found.<br />\r\n<br />\r\nThe header information in the eChecklist provides counts of Cat I, II, and III findings, Not a Finding, Not Applicable and Not Reviewed items as well as information about the hosts being tested. &nbsp;Sagacity pre-populates many of these, like the Hostnames, IP addresses and Operating System. &nbsp;The analyst is responsible for entering the Dates Tested, Test Team, OS/Software Version and Location. &nbsp;The Overall Notes cell is for recording overall findings or impressions about the security posture of the software being evaluated. &nbsp;</p>\r\n\r\n<div style=\"text-align:center\"><img alt=\"Sample eChecklist\" src=\"img/help_doc/eChecklist.png\" style=\"max-width: 1200px; height: 408px; width: 1150px;\" /></div>\r\n\r\n<ul>\r\n	<li><em>Cover Sheet Tab</em>.&nbsp; Changing the classification marking to SECRET in the top cell will change it for the entire tab.&nbsp; Enter the system name and the title of the test event.</li>\r\n	<li><em>Instructions Tab</em>.&nbsp; This tab contains information about using the eChecklist.</li>\r\n	<li><em>STIG Checklist Tabs</em>.&nbsp; The primary fields are:\r\n	<ul style=\"list-style-type:circle;\">\r\n		<li><em>STIG_ID</em>:&nbsp; This is the STIG Identification field from the DISA STIG Checklists.</li>\r\n		<li><em>VMS ID</em>:&nbsp; This is the Vulnerability Management System ID from the Checklists.&nbsp; It provides an <em>almost</em> unique identifier for each finding.</li>\r\n		<li><em>CAT</em>:&nbsp; This is the STIG Severity Category, Cat I, II and&nbsp;III.</li>\r\n		<li><em>IA_Controls</em>:&nbsp; This is a list of related IA Controls.&nbsp; The relationships are&nbsp;taken directly from the STIG Checklists, which currently are a mix of RMF CCIs and DIACAP controls.</li>\r\n		<li><em>Short_Title</em>:&nbsp; This is a brief, general description of the finding.&nbsp; For a more detailed discussion, refer either to the STIG Checklist itself or the PDI Catalog.</li>\r\n		<li><em>Status/System</em>:&nbsp; This can be one or multiple columns describing the status of this finding.&nbsp; The possible values for this column are given below.&nbsp; The number in red above the system name is the count of Cat I findings.&nbsp; The number in yellow is the count of remaining Not Reviewed items.</li>\r\n		<li><em>Notes</em>:&nbsp; The notes column should be used to provide specific details about the finding.&nbsp; The source of the notes is in parenthesis, and any data provided by the automated scanning tools or Sagacity (script) are included to assist the engineer in performing finding analysis.</li>\r\n		<li><em>Check_Contents</em>:&nbsp; This field contains the check procedures from the STIG, if available.&nbsp;</li>\r\n	</ul>\r\n	</li>\r\n	<li><em>Orphan Tab</em>: The Orphan is a special checklist tab containing all findings for the hosts that are not included in the currently applied STIG checklists. &nbsp;These can include vulnerablity scanner results that do not map to a particular STIG check, outdated checks found by compliance scanners that are no longer in the STIG, or checks from a STIG that should have been applied to the hosts. &nbsp;The STIGs are not a complete measure of a system&rsquo;s security. &nbsp;There are vulnerabilities and security requirements above and beyond the STIGs.&nbsp;</li>\r\n</ul>\r\n\r\n<p><strong>DO&nbsp;NOT MODIFY</strong> the column headings or you&nbsp;may have problems re-importing the checklist.</p>\r\n\r\n<p>The status options for the findings are:</p>\r\n\r\n<ul>\r\n	<li><strong>Open:</strong>&nbsp; The finding is valid for this host.</li>\r\n	<li><strong>Not a Finding:</strong>&nbsp; The finding is not valid for this host.</li>\r\n	<li><strong>Not Applicable:</strong>&nbsp; The finding does not apply to this host.</li>\r\n	<li><strong>Not Reviewed:</strong>&nbsp; The finding has not yet been reviewed.</li>\r\n	<li><strong>Exception:</strong>&nbsp;The finding cannot be changed because of an operational need or other configuration requirements. &nbsp;A request of the DAA/AO will request acceptance of the vulnerability.</li>\r\n	<li><strong>False Positive:</strong>&nbsp;It was determined that the system is a valid check.</li>\r\n	<li><strong>No Data:</strong>&nbsp; Because dissimilar checklists were merged, there is no data available for this item.&nbsp; It is not common to see this status in an eChecklist.</li>\r\n</ul>\r\n\r\n<p><em>Instructions:</em></p>\r\n<strong>eChecklist Header Information</strong><br />\r\n1. &nbsp;Make sure that the classification markings (A1, G2) are filled out correctly.<br />\r\n2. &nbsp;System Name (E2) is the name of the overall system being assessed.<br />\r\n3. &nbsp;Fill out the Hostname (E3) and Networking information (E3-6) for the host.<br />\r\n4. &nbsp;Fill in the Operating System (G5), Hardware (G6) and system location (G7).<br />\r\n5. &nbsp;Include the names of the test team and administrators (G3) and date tested (G2).<br />\r\n6. &nbsp;The Checklist(s) field (B9) &nbsp;is a list of the STIG checklists included in that tab.<br />\r\n7. &nbsp;Any overall notes can be included in the Checklist Notes field (I3).<br />\r\n<br />\r\n<strong>eChecklist Body</strong><br />\r\n1. &nbsp;Use the Check Contents to evaluate the target system and determine the outcome of the check.<br />\r\n2. &nbsp;Use the dropdowns in the status column (F and following) to select the correct finding status. &nbsp;Copy and paste or the Excel fill handle to quickly copy the status to other hosts.<br />\r\n3. Enter notes to explain how you arrived at the status. &nbsp;Concise notes are normally sufficient, but some findings may require elaboration.<br />\r\n4. &nbsp;There are two hidden columns between the status columns and notes. &nbsp;Overall Status is a rollup of the finding statuses for all hosts, and Consistent is a binary 1 (yes) or 0 (no) describing whether the results were consistent across all hosts. &nbsp;These can be helpful during testing or analysis to identify deltas between systems or possible configuration management issues.<br />\r\n5. &nbsp;Column filters, sorting and search can be helpful for testing similar checks or for post-test analysis.<br />\r\n6. &nbsp;Save often! &nbsp;<br />\r\n<br />\r\nNOTE: &nbsp;The filename must include the string &ldquo;eChecklist&rdquo; to be parsed by Sagacity.'),
('3.6','DataMan','eChecklist Data Analysis and Correlation','<p>Data analysis and correlation includes reducing false positives, prioritizing findings, identifying inconsistencies between systems, and root-cause analysis.&nbsp; In the example above, the findings from three Windows 7 systems are merged into a single checklist.</p>\r\n\r\n<p>By including similar systems in columns (like&nbsp;<em>system1</em>&nbsp;and&nbsp;<em>system2</em>, above), the analyst can quickly identify differences between the systems which can point to inconsistent administration or errors in the assessment analysis.&nbsp; The data can be sorted by Status&nbsp;and Severity Category level to help determine which findings present the biggest risk to the system and how pervasive (what percentage of hosts are affected) the findings are.&nbsp;&nbsp; Further sorting by IA Control/CCI can help to identify root causes for the findings, such as an ineffective IAVM program or lack of configuration control.</p>\r\n'),
('4','DataMan','The Way Ahead','<div>\r\n<p>Sagacity and the eChecklist have&nbsp;come a long way since the initial Perl scripts and CSV flat files originally written in 2009, but the goal of providing a single, streamlined, efficient way of handling assessment data remains. &nbsp;As we look at how far we&rsquo;ve come, we realize just how far we still have to go. &nbsp;The DoD&rsquo;s transition from DIACAP to RMF, and the Federal Government&rsquo;s adoption of the DISA STIGs are driving a merging of compliance standards, but not without cost. &nbsp;RMF is almost too detailed, and RMF assessments of well over 1,000 controls are time-consuming and difficult. &nbsp;From a technical standpoint, systems are becoming more complex, requiring compliance with more STIGs than ever. &nbsp;(Our assessment laptops alone have 14 applicable STIGs!)<br />\r\n<br />\r\nTo help our customers meet these challenges, Sagacity&rsquo;s next steps will include</p>\r\n\r\n<ul>\r\n	<li>Results parsing for even more vulnerability and compliance scanners</li>\r\n	<li>Improved test management and tracking capabilities</li>\r\n	<li>Additional ways to view, organize and analyze test data</li>\r\n	<li>Assessment Export and Import</li>\r\n	<li>Database extensions, including the National Vulnerability Database, vendor advisories, exploit information and more!</li>\r\n	<li>Improved target search capabilities.</li>\r\n	<li>Improved Assessment Comparison capabilities, including trending and delta analysis</li>\r\n</ul>\r\n\r\n<p>Developing these functions is not easy&nbsp;and not cheap. &nbsp;To accomplish this, we need users, developers and eventually customers. &nbsp;The base version of Sagacity, with ever improving technical assessment functionality, will always be free, but we are also planning a paid version early next year with advanced features like full NIST&nbsp;800-53/53A RMF Control Assessments and compatibility with systems like eMASS. &nbsp;Please&nbsp;follow our Facebook page and website and watch for updates!</p>\r\nAt Cyber Perspectives, we are committed to the ideals of Open Source Software. &nbsp;Working together, the cybersecurity community can accomplish far more than they can individually. &nbsp;If you are interested in contributing to Sagacity, please contact us! &nbsp;<br />\r\n<br />\r\n<a href=\"http://www.cyberperspectives.com\">http://www.cyberperspectives.com</a><br />\r\n<a href=\"https://www.facebook.com/cyberperspectives\">https://www.facebook.com/cyberperspectives</a><br />\r\n&nbsp;</div>\r\n'),
('A','Appendix','Sagacity Directory Structure','<p>This is a description of the directory structure found in the <em>C:\\xampp\\www</em> folder. Non-administrators should generally leave the other folders alone or risk impairing web interface functionality.</p>\r\n<style type=\"text/css\">.path {\r\n  display: inline-block;\r\n  width: 200px;\r\n}\r\n\r\n.subpath {\r\n  display: inline-block;\r\n  margin-left: 12px;\r\n  width: 188px;\r\n}\r\n\r\n.desc {\r\n  display: inline-block;\r\n}\r\n\r\n.entry {\r\n  width: 100%;\r\n}\r\n</style>\r\n<div class=\"entry\"><span class=\"path\"><em>C:\\xampp\\www\\</em></span> <span class=\"desc\">Installation files and updates, README&#39;s, index and file uploads</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>classes\\</em></span> <span class=\"desc\">Class files for the web interface</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>conf\\</em></span> <span class=\"desc\">Default PHP, Apache and MySQL configuration files</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>data\\</em></span> <span class=\"desc\">Management tab web content</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>docs\\</em></span> <span class=\"desc\">Documentation, including DB design, DOXYgen file and user guide</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>exec\\</em></span> <span class=\"desc\">All executable&nbsp;scripts</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>img\\</em></span> <span class=\"desc\">Web application image files for the web site</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>checklist_icons\\</em></span> <span class=\"desc\">Images to display for the checklists</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>help_doc\\</em></span> <span class=\"desc\">Image file for this help documentation</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img alt=\"\" src=\"/img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>scan_types\\</em></span> <span class=\"desc\">Image files that represent the uploaded scan files</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>waiting\\</em></span> <span class=\"desc\">AJAX images for searching</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>inc\\</em></span> <span class=\"desc\">Global include path used throughout application</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>vendor\\...</em></span> <span class=\"desc\">3<sup>rd</sup> party vendor libraries compiled using composer</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>logs\\</em></span> <span class=\"desc\">Contains log files that are generated throughout Sagacity</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>reference\\</em></span> <span class=\"desc\">Contains all reference files</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img src=\"/img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>cve\\</em></span> <span class=\"desc\">Contains raw CVE XML files used in the Search feature</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img src=\"/img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>iavm\\</em></span> <span class=\"desc\">Contains raw IAVM XML files used in the Search feature</span></div>\r\n\r\n<div class=\"entry\"><span class=\"subpath\">| <img src=\"/img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>stigs\\</em></span> <span class=\"desc\">Contains raw STIG XML files and converted CSV files used in the Search feature</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>results\\</em></span> <span class=\"desc\">Scans tab web content</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>scripts\\</em></span> <span class=\"desc\">JavaScript files and 3<sup>rd</sup> party libraries&nbsp;used in the web interface</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>ste\\</em></span> <span class=\"desc\">Operations Tab web content</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>style\\</em></span> <span class=\"desc\">CSS files used throughout application</span></div>\r\n\r\n<div class=\"entry\"><span class=\"path\">| <img alt=\"\" src=\"img/help_doc/folder_img.png\" style=\"vertical-align:middle;\" /> <em>tmp\\</em></span> <span class=\"desc\">Where user files are uploaded after drag and drop operations, additional subdirectories are created as needed</span></div>\r\n\r\n<p>&nbsp;</p>'),
('B','Appendix','Command Line Reference','Sagacity has a number of PHP scripts available at the command line. &nbsp;Some are designed to be used that way, and others are better run from the web interface. &nbsp;The following sections will provide a list of those commands and their usage. &nbsp;Commands not listed in the following sections should generally not be used at the command line and may cause unexpected and often undesirable results.'),
('B.1','Appendix','Catalog Management Commands','<strong>update_db.php</strong>: The purpose of this script is to bulk update the CVE, CPE, STIG and Nessus plugin databases either from the Internet or local hard drive<br />\r\nUsage: php&nbsp;<strong>update_db.php</strong>&nbsp;[--cpe] [--cve] [--nasl] [--stig] [--do] [--po] [-h|--help]<br />\r\n&nbsp;--cpe &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;To download and update the CPE catalog<br />\r\n&nbsp;--cve &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;To download and update the CVE catalog<br />\r\n&nbsp;--nasl &nbsp; &nbsp; &nbsp; &nbsp; To download OpenVAS NVT library and update NASL files<br />\r\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; You can also extract *.nasl files from the Nessus library to C:/xampp/www/tmp/nessus_plugins and it will include these in the update<br />\r\n&nbsp;--stig &nbsp; &nbsp; &nbsp; &nbsp; To download and update the STIG library<br />\r\n&nbsp;--do &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; To download the files only...do not call the parsers<br />\r\n&nbsp;--po &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; To parse the downloaded files only, do not download<br />\r\n&nbsp;-u={url} &nbsp; &nbsp; &nbsp; [optional] Used only for STIGs because sometimes DISA will use a non-standard link which makes it difficult to download the file.<br />\r\n&nbsp;-h|--help &nbsp; &nbsp; &nbsp;This screen<br />\r\n<br />\r\n<strong>parse_cpe.php:</strong>&nbsp;&nbsp;Parses the NIST CPE file<br />\r\nUsage: php&nbsp;<strong>parse_cpe.php</strong>&nbsp;-f={CPE list file} [--debug] [--help]<br />\r\n&nbsp;-f={CPE file} &nbsp; &nbsp; &nbsp;The CPE file to parse retrieved from http://static.nvd.nist.gov/feeds/xml/cpe/dictionary/official-cpe-dictionary_v2.3.xml<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br />\r\nOutput: You will see either a . (dot), * (asterisk), or - (hyphen) for each CPE.<br />\r\n&nbsp; . &nbsp;- CPE was already in the DB<br />\r\n&nbsp; * &nbsp;- CPE was added to the DB<br />\r\n&nbsp; - &nbsp;- CPE was removed from the DB (CPE deprecated)<br />\r\nPurpose: To parse a CSV E-Checklist file<br />\r\n<br />\r\n<strong>parse_cve.php</strong>: Parses the CVE file (allitems.xml) retrieved from http://cve.mitre.org/data/downloads/allitems.xml<br />\r\nUsage: php&nbsp;<strong>parse_cve.php</strong>&nbsp;-f={CVE filename} [--debug] [--help]<br />\r\n&nbsp;-f={CVE filename} &nbsp; &nbsp;The file to be parsed (allitems.xml). &nbsp;Can be absolute or relative path.<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br />\r\n<br />\r\n<strong>parse_stig.php</strong>: To parse a STIG XCCDF checklist file and populate/update the database<br />\r\nUsage: php&nbsp;<strong>parse_stig.php</strong>&nbsp;-f={STIG file} [--debug] [--ia_reset] [--draft] [--help]<br />\r\n&nbsp;-f={STIG file} &nbsp; &nbsp; The file to be parsed<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--ia_reset &nbsp; &nbsp; &nbsp; &nbsp; To delete any existing mapped IA controls and repopulate with what is in the checklist file<br />\r\n&nbsp;--draft &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;This will allow the importing of a draft STIG file (normally excluded)<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br />\r\n<br />\r\n<strong>nessus-plugin-import.php: &nbsp;</strong>The purpose of this script is a bulk update of all Nessus plugins in the tmp/nessus_plugins folder. &nbsp;It is called by update_db.php --nessus, and calls nessus_plugin-to-database.php for each plugin found.<br />\r\nUsage: php<strong>&nbsp;nessus-plugin-import.php</strong>&nbsp;[-h|--help]<br />\r\n&nbsp;-h|--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;This screen<br />\r\n<br />\r\n<strong>nessus-plugin-to-database.php:&nbsp;</strong>&nbsp;This script is for reading NASL files and adding them to the database<br />\r\nUsage: php&nbsp;<strong>nessus-plugin-to-database.php</strong>&nbsp;-f={NASL file to parse} [--debug]<br />\r\n&nbsp; -f={NASL file} &nbsp; &nbsp;The .nasl file to parse<br />\r\n&nbsp; --debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This will output what was parsed by the script and NOT add anything to the database<br />\r\n<br />\r\n<strong>parse_iavm.php</strong>: Imports an IAVM file and populate/update the database<br />\r\nUsage: php<strong>&nbsp;parse_iavm.php</strong>&nbsp;-d={IAVM Directory} [-f={XCCDF result file}] [--debug] [--help]<br />\r\n&nbsp;-d={IAVM directory} &nbsp; &nbsp;The directory to import the files from. &nbsp;This will crawl the directory and import all the IAVMs<br />\r\n&nbsp;-f={XCCDF file} &nbsp; &nbsp; &nbsp; &nbsp;The IAVM file specifically<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br />\r\n<br />\r\n<strong>parse_cce.php: &nbsp;</strong>Parses the NIST CCE list<br />\r\nUsage: php&nbsp;<strong>parse_cce.php</strong>&nbsp;-f={cce list file} [--debug] [--help]<br />\r\n&nbsp;-f={cce file} &nbsp; &nbsp; &nbsp;The CCE list file retrieved from http://static.nvd.nist.gov/feeds/xml/cce/cce-COMBINED-5.20130214.xml<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br />\r\n<br />\r\n&nbsp;<strong>parse_cci.php: &nbsp;</strong>The purpose is to parse the NIST CCI list<br />\r\nUsage: php&nbsp;<strong>parse_cci.php</strong>&nbsp;-f={CCI list file} [--debug] [--help]<br />\r\n&nbsp;-f={CCI file} &nbsp; &nbsp; &nbsp;The CCI file to parse<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br />\r\n<br />\r\n<strong>parse_nvd_cve.php</strong>: To import the National Vulnerability Database (NVD) CVE annual files<br />\r\nUsage: php&nbsp;<strong>parse_nvd_cve.php</strong>&nbsp;-f={CVE file} [--debug] [--help]<br />\r\n&nbsp;-f={CVE file} &nbsp; &nbsp; &nbsp;The CVE file to import<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br />\r\n<br />\r\n<strong>parse_iavm_cve.php</strong>: Imports the cve-to-iavm(u).xml file retrieved from http://iasecontent.disa.mil/stigs/xml/iavm-to-cve%28u%29.xml<br />\r\nUsage: php&nbsp;<strong>parse_iavm_cve.php</strong>&nbsp;-f={file} [--debug] [--help]<br />\r\n&nbsp;-f={file} &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;The file to import<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen'),
('B.2','Appendix','Result File Ingestion Commands','<strong>background_results.php:</strong>&nbsp; This program was written to look at all files in the /tmp directory, determine what parser is needed, then call that parser with the appropriate flags.<br />Usage: php&nbsp;<strong>background_results.php</strong> -s={ste_id} [-i=1] [-t=1] [--help]<br />&nbsp;-s={STE ID} &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;The ID of the ST&amp;E to know what to assign the results to<br />&nbsp;-i=1 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Ignore hidden Excel worksheets (only used on Excel eChecklist files) (defaulted to false)<br />&nbsp;-t={Target Name} &nbsp; The name of the target to evaluate (only used on host data collection)<br /><br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_excel_echecklist.php</strong>: &nbsp;Imports an Excel eChecklist file.<br />Usage: php&nbsp;<strong>parse_excel_echecklist.php</strong>&nbsp;-f={eChecklist File} [-i] [--debug] [--help]<br />&nbsp;-f={eChecklist File} &nbsp; &nbsp;The file to import<br />&nbsp;-i &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Ignore hidden worksheets. &nbsp;This run by default when run through Sagacity<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_nessus.php</strong>: Imports a Nessus result file<br />Usage: php&nbsp;<strong>parse_nessus.php</strong>&nbsp;-s={ST&amp;E ID} -f={Nessus result file} -d={document root} [--debug] [--help]<br />&nbsp;-s={ST&amp;E ID} &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;The ST&amp;E ID this result file is being imported for<br />&nbsp;-f={Nessus file} &nbsp; &nbsp; &nbsp; The result file to import<br />&nbsp;-d={document root} The document root of the web server<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_nmap.php</strong>: Imports an NMap result file<br />Usage: php&nbsp;<strong>parse_nmap.php</strong>&nbsp;-s={ST&amp;E ID} -f={NMap result file} -d={Document root} [--debug] [--help]<br />&nbsp;-s={ST&amp;E ID} &nbsp; &nbsp; &nbsp; The ST&amp;E ID this result file is being imported for<br />&nbsp;-f={NMap file} &nbsp; &nbsp; The result file to import (will import text, XML, and grepable files)<br />&nbsp;-d={Document Root} The document root of the web server<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_scc_xccdf.php</strong>: To import an XCCDF result file from Security Compliance Checker 3.1+<br />Usage: php&nbsp;<strong>parse_scc_xccdf.php</strong>&nbsp;-s={ST&amp;E ID} -f={XCCDF result file} [--debug] [--help]<br />&nbsp;-s={ST&amp;E ID} &nbsp; &nbsp; &nbsp; The ST&amp;E ID this result file is being imported for<br />&nbsp;-f={XCCDF file} &nbsp; &nbsp;The result file to import (will not import oval, dictionary, or other files)<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_stig_viewer.php</strong>: To parse a STIG Viewer output result file<br />Usage: php&nbsp;<strong>parse_stig_viewer.php</strong>&nbsp;-f={STIG Viewer file} [--debug] [--help]<br />&nbsp;-f={STIG Viewer file} &nbsp; &nbsp;The STIG Viewer result file that is being imported<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_mbsa.php</strong>:&nbsp;Imports an MBSA result file<br />Usage: php&nbsp;<strong>parse_mbsa.php</strong>&nbsp;-s={ST&amp;E ID} -f={result file} [--debug] [--help]<br />&nbsp;-s={ST&amp;E ID} &nbsp; &nbsp; &nbsp; The ST&amp;E ID this result file is being imported for<br />&nbsp;-f={result file} &nbsp; The result file to import<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><em><strong>Deprecated scripts.</strong></em>&nbsp;&nbsp;The following scripts are not used anymore because of changes to the way Sagacity works.<br /><br /><strong>parse_csv_echecklist.php</strong>: &nbsp;Sagacity does not require the use of CSV formatted eChecklists.<br />Usage: php&nbsp;<strong>parse_csv_echecklist.php</strong>&nbsp;-s={ST&amp;E ID} -f={CSV eChecklist} [--debug] [--help]<br />&nbsp;-s={ST&amp;E ID} &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; The ST&amp;E ID that this result file is going to be imported for<br />&nbsp;-f={E-Checklist file} &nbsp; &nbsp;The E-Checklist file to import<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_mssql.php</strong>: Imports the MSSQL SRR result file from DISA.<br />Usage: php&nbsp;<strong>parse_mssql.php</strong>&nbsp;-s={ST&amp;E ID} -f={result file} [--debug] [--help]<br />&nbsp;-s={ST&amp;E ID} &nbsp; &nbsp; &nbsp; The ST&amp;E ID this result file is being imported for<br />&nbsp;-f={result file} &nbsp; The result file to import<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen<br /><br /><strong>parse_proc_echecklist.php</strong>: To import a DIACAP procedural eChecklist file that is filled out<br />Usage: php&nbsp;<strong>parse_proc_echecklist.php</strong>&nbsp;-s={ST&amp;E ID} -f={Procedural eChecklist File} [--debug] [--help]<br />&nbsp;-s={ST&amp;E ID} &nbsp; &nbsp; &nbsp; The ST&amp;E ID this result file is being imported for<br />&nbsp;-f={file} &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;The file to import<br />&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />&nbsp;--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; This screen'),
('B.3','Appendix','Other Potentially Useful Commands','<strong>&nbsp;post_process_all.php</strong>: Perform bulk post-processing, which associates STIGS with targets based on OS and installed software<br />\r\nUsage: php<strong>&nbsp;post_process_all.php</strong>&nbsp;[--ste={ST&amp;E ID}] [--help|-h] [--debug]<br />\r\n&nbsp; &nbsp;NOTE: If no ST&amp;E specified then will get all targets that have the pp_flag field in the database set to &#39;1&#39;<br />\r\n&nbsp;--ste={ST&amp;E ID} &nbsp; &nbsp;The ST&amp;E ID to evaluate targets<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n&nbsp;--help | -h &nbsp; &nbsp; &nbsp; &nbsp;This screen<br />\r\n<br />\r\n<strong>php export-ckl.php</strong>: This script was written to be able to export CKL files from the data contained in the database.<br />\r\nUsage:&nbsp;<strong>php export-ckl.php</strong>&nbsp;[-d={destination}] -s={ste id} [-c={category id}] [-t={target id}] [-h|--help]<br />\r\n&nbsp;-s={STE ID} &nbsp; &nbsp; &nbsp; &nbsp;Export a CKL for each assigned checklist for ALL targets in this ST&amp;E<br />\r\n&nbsp;-c={Category ID} &nbsp; Export CKL files for all targets contained in this Category<br />\r\n&nbsp;-t={Target ID} &nbsp; &nbsp; Export CKL file for each assigned checklist for this target<br />\r\n&nbsp;-d={destination} &nbsp; Location of where you want the files saved<br />\r\n&nbsp;-h|--help &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;This screen<br />\r\n&nbsp;--debug &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Debugging output<br />\r\n<br />\r\n&nbsp;'),
('C','Appendix','Assessment Cheat Sheet','We put together the following cheat sheet as a reminder of commands and steps to take during an assessment. &nbsp;These commands or procedures may or may not be useful to you for your testing, but is provided here for your reference. &nbsp;The analyst is responsible for knowing how the tools work and their proper and safe use.'),
('C.1','Appendix','Unix Systems','<strong>Host Data Collection</strong><br />\r\n<br />\r\nThe host data collection scripts for Unix are found in the <em>C:\\xampp\\www\\exec\\Target Host Tools\\Unix</em> folder.&nbsp; The scripts are <em>linux-data-collection.sh</em> and <em>solaris-data-collection.sh</em> for the respective Operating Systems.&nbsp; Upload the script to the target /tmp folder and run it.&nbsp; The results will be in a folder called <em>hostname</em><hostname>-baseline</hostname>.&nbsp; The script will attempt to gzip the results into a tarball called hostname<em><hostname>-baseline.tgz</hostname></em>.&nbsp; This file can be taken back to the system running Sagacity and uploaded for that target.\r\n<p>Secure Copy (scp) the resulting tar file to the laptop with your username and password.&nbsp; Results will be in your Cygwin home directory.</p>\r\n\r\n<ul>\r\n	<li>scp resultsfile.tar user@laptop IP:~/.</li>\r\n	<li>(e.g.&nbsp; scp ws1.tar odegardj@192.168.3.5:~/.)</li>\r\n</ul>\r\n\r\n<p>The file will be in Cygwin in /home/<em>username</em></p>\r\n\r\n<p><em>If SSH is not available, use FTP as a last resort.&nbsp; Do not forget to use binary mode!</em></p>\r\n\r\n<ul>\r\n	<li>ftp <em>laptop IP</em></li>\r\n	<li>Enter username and password.&nbsp; If you fail the login, you can use the<em> user</em> username command to try again.</li>\r\n	<li>Enter the following three commands, in order:&nbsp; bin, hash, prompt.</li>\r\n	<li>Use put or mput to upload the files to the laptop, e.g. mput *.tar</li>\r\n</ul>\r\nThe file will be in Cygwin in <em>/home/username</em><br />\r\n<br />\r\n<strong>Command Line SCC Instructions</strong><br />\r\nFor GUI Instructions, see the Windows section. &nbsp;The basic steps are the same in the Unix GUI.\r\n<ol>\r\n	<li>As root, run <em>./cscc --config</em></li>\r\n	<li>&ldquo;1. Configure SCAP content&rdquo;</li>\r\n	<li>&ldquo;9. Exit, save changes, and execute scan.&rdquo;</li>\r\n	<li>At the end of the run, SCC will inform you of the Session Results folder location.&nbsp;</li>\r\n	<li>Copy the SCAP results folder in its entirety to a central location. &nbsp;The SCAP folders from different hosts can be safely merged together.\r\n	<ol style=\"list-style-type:lower-alpha;\">\r\n		<li>Ultimately, we are only looking for the XCCDF-Results XML files in the XML sub-folder.</li>\r\n	</ol>\r\n	</li>\r\n	<li>Once the scan is complete and the results are collected, you can delete the folder from the C:\\temp or /tmp directory.</li>\r\n</ol>\r\n'),
('C.2','Appendix','Windows Systems','<strong>Host Data Collection</strong><br />\r\nThe Windows target host tools are located in <em>C:\\xampp\\www\\exec\\Target Host Tools\\Windows</em>.&nbsp;<br />\r\n<br />\r\nTo run MBSA, run <em>mbsa.bat</em> as Administrator.&nbsp; Export the findings XML file and copy it to the system running Sagacity.&nbsp; Upload the results using the Scans &rarr; Result Management page.<br />\r\n<br />\r\nTo run Windows Data Collection, run <em>windows-data-collection.bat</em> as Administrator.&nbsp; Findings will be located in <em>C:\\temp\\<hostname></hostname></em>.&nbsp; If possible, the script will create a file called <em>hostname-DataCollection.zip</em> that can be copied to the system running Sagacity and uploaded to the target.<br />\r\n<br />\r\nTransferring files to the testing system can be done using a NetBIOS share, CDROM, or USB hard drive, if allowed.&nbsp; As a last resort, you can use FTP.&nbsp; See the FTP instructions in section <a href=\"#C.1\">C.1</a> if you are unsure how to use it.<br />\r\n<br />\r\n<strong>SCC GUI Instructions</strong>\r\n<ol>\r\n	<li>Windows: Right click on the <em>scc.exe</em> executable and select &ldquo;Run as Administrator&rdquo;</li>\r\n	<li>Unix:&nbsp; Open a root command terminal and run <em>./scc</em></li>\r\n	<li>From the menu, select Edit &agrave; Content and Options\r\n	<ol style=\"list-style-type:lower-alpha;\">\r\n		<li>Select the appropriate checklists for the hosts.&nbsp; Leaving unnecessary checklists selected will not affect the outcome, since SCC will automatically select applicable checklists.</li>\r\n		<li>Click OK.</li>\r\n	</ol>\r\n	</li>\r\n	<li>Ensure &ldquo;Local Computer&rdquo; is selected, then click &ldquo;Analyze Selected Computer(s)&rdquo;</li>\r\n	<li>When the test is finished, select &ldquo;Results &agrave; Open Results Directory&rdquo; &nbsp;There will be a resuls folder with the Time/Date stamp of the run.&nbsp; Inside this folder is an SCAP results folder.</li>\r\n	<li>Copy the SCAP results folder in its entirety to a central location. &nbsp;The SCAP folders from different hosts can be safely merged together.\r\n	<ol style=\"list-style-type:lower-alpha;\">\r\n		<li>Ultimately, we are only looking for the XCCDF-Results XML files in the XML sub-folder.</li>\r\n	</ol>\r\n	</li>\r\n	<li>Once the scan is complete and the results are collected, you can close SCC and delete the folder from the C:\\temp&nbsp;directory.</li>\r\n</ol>\r\n'),
('C.3','Appendix','Network Devices','<p>The following instructions are provided to gather network device configurations for offline assessment.<br />\r\n&nbsp;<br />\r\n<strong>Collection methods.</strong></p>\r\n\r\n<ul>\r\n	<li>Unix/Cygwin: Open a terminal window and run the following commands.&nbsp; The system administrator will have to provide credentials.\r\n	<ul style=\"list-style-type:circle;\">\r\n		<li><em>script &lt;hostname&gt;-config.txt</em></li>\r\n		<li><em>ssh &lt;hostname ip&gt; &nbsp;(login)</em></li>\r\n		<li><em>enable &nbsp;(to enter administrative mode)</em></li>\r\n		<li><em>when finished: exit / exit / exit (to close out the script command)</em></li>\r\n	</ul>\r\n	</li>\r\n	<li>Putty:\r\n	<ul style=\"list-style-type:circle;\">\r\n		<li>In the Putty Configuration, got to Session&agrave; Logging</li>\r\n		<li>Select either &ldquo;Printable output&rdquo; or &ldquo;All session output&rdquo;</li>\r\n		<li>Set the log file name to <em>&lt;hostname&gt;-config.txt</em></li>\r\n		<li>Click &ldquo;Open&rdquo; to start the SSH session.</li>\r\n	</ul>\r\n	</li>\r\n</ul>\r\n&nbsp;<strong>All devices commands:</strong>\r\n\r\n<ul>\r\n	<li><em>show config</em></li>\r\n	<li><em>show run</em></li>\r\n	<li><em>show version</em></li>\r\n	<li><em>show logging</em></li>\r\n	<li><em>show ip route</em></li>\r\n	<li><em>show snmp &nbsp;(if in use)</em></li>\r\n	<li><em>show snmp user (if in use)</em></li>\r\n	<li><em>show cdp neighbor<em> (if in use)</em></em></li>\r\n	<li><em>show cdp nei det<em> (if in use)</em></em></li>\r\n	<li><em>show environment </em>(if required by the ASCA)</li>\r\n	<li><em>show arp </em>(if required by the ASCA)</li>\r\n	<li><em>show interface </em>(if required by the ASCA)</li>\r\n	<li><em>show interface status </em>(if required by the ASCA)</li>\r\n	<li><em>show flash: </em>(if required by the ASCA)</li>\r\n	<li><em>show nvram: </em>(if required by the ASCA)</li>\r\n</ul>\r\n&nbsp;<em><strong>Switch specific commands</strong></em>\r\n\r\n<ul>\r\n	<li><em>show vlan</em></li>\r\n	<li><em>show interface trunk</em></li>\r\n	<li><em>show port-security interface</em></li>\r\n	<li>s<em>how mac address-table </em>(if required by the ASCA)</li>\r\n</ul>\r\n&nbsp;<strong>Router specific commands</strong>\r\n\r\n<ul>\r\n	<li><em>show policy-map control-plane</em></li>\r\n	<li><em>show ip pim interface (and/or show ipv6 pim interface, if in use)</em></li>\r\n	<li><em>show ip cef (and/or show ipv6 cef, if in use)</em></li>\r\n	<li><em>show ip ospf database<em> (if in use)</em></em></li>\r\n	<li><em>show ip nat trans<em> (if in use)</em></em></li>\r\n</ul>\r\n&nbsp;<strong>ASA Firewall specific commands</strong>\r\n\r\n<ul>\r\n	<li><em>show asp table socket</em></li>\r\n</ul>\r\n\r\n<p>&nbsp;<br />\r\n<em>Once you have saved the text file (exit the script command or exported the session to a text file, depending on your collection method), s</em>anitize all password hashes (watching for weak encryption and re-used passwords) and SNMP strings.&nbsp; Replace the strings with &ldquo;<em>*** [weak/duplicate] password hash ***</em>&rdquo;, &ldquo;<em>*** [guessable/string] community string ***</em>&rdquo;, etc.&nbsp; Those good descriptions will help the security analyst performing the assessment.</p>\r\n'),
('C.4','Appendix','Nmap','In Cygwin:&nbsp; <em>cd /home/assessments/system/project/network</em><br />\r\n<br />\r\nTest Connectivity\r\n<ul>\r\n	<li><em>nmap -T4&nbsp;-n -sP&nbsp;target network/24 --exclude&nbsp;myIP&nbsp;-oN filename-ping.nmap</em></li>\r\n	<li><em>nmap -T4&nbsp;-n -sn&nbsp;target network/24 --exclude&nbsp;myIP&nbsp;-oN filename-ping.nmap</em></li>\r\n</ul>\r\nQuick TCP Scan to get started and make sure things work\r\n\r\n<ul>\r\n	<li><em>nmap -T4 -n -sS -F target network/24 --exclude&nbsp;myIP&nbsp;-oN filename-tcp-fast.nmap</em></li>\r\n	<li><em>nmap -T4 -n -sS -p 1-6500 target network/24 --exclude myIP&nbsp;-oN filename-tcp-6k.nmap</em></li>\r\n</ul>\r\nFull TCP Scan\r\n\r\n<ul>\r\n	<li><em>nmap -T4 -n -sS -p 1-65535 target network/24 --exclude&nbsp;myIP&nbsp;-oN outputfile-tcp.nmap</em></li>\r\n</ul>\r\nQuick UDP Scan\r\n\r\n<ul>\r\n	<li><em>nmap -T4 -n -sU -F target network/24&nbsp;--exclude&nbsp;myIP&nbsp;-oN&nbsp;output file-udp-fast.nmap</em></li>\r\n	<li><em>nmap -T4 -n -sU -p7,13,19,49,53,69,111,123,161,162,514,517,518,2049,6000 target network/24 --exclude&nbsp;myIP&nbsp;-oN output file-udp-limited.nmap</em></li>\r\n</ul>\r\nLonger UDP Scan.&nbsp; Do not do <em>-p 1-65535</em> unless you plan on running it at least overnight.\r\n\r\n<ul>\r\n	<li><em>nmap -T4 -n -sU -p 1-2049,6000 target network/24 --exclude&nbsp;myIP&nbsp;-oN output file-udp.nmap</em></li>\r\n</ul>\r\nNmap IPv6 Scanning\r\n\r\n<ul>\r\n	<li><em>nmap -iflist</em> &nbsp;(determine which interface is your Local Area Connection &ndash; eth1 on the laptops)</li>\r\n	<li><em>nmap -6 --script=targets-ipv6-multicast-*</em>&nbsp;&nbsp;&nbsp; (basic IPv6 discovery using all the multicast scripts)</li>\r\n	<li><em>nmap -6 --script=targets-ipv6-multicast-* --script-args=newtargets -PS --top-ports=10000</em>&nbsp;&nbsp;&nbsp;&nbsp; (adds 10K TCP port scan)</li>\r\n	<li><em>nmap -6 --script=targets-ipv6-multicast-echo.nse --script-args &#39;newtargets,interface=eth1&#39;</em>&nbsp;&nbsp; (just run the one script)</li>\r\n</ul>\r\n<em>nmap --help</em> is your friend.<br />\r\n<br />\r\n<br />\r\n&nbsp;');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed
